//=========================================================================
//
//	FILE:				CP_ObjectIdentifiers.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A list of identifiers used to identify objects used
//						in CPLAT.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_ObjectIdentifiers
#define _H_CP_ObjectIdentifiers
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

//========================================================================
// Application
//========================================================================
const FourCharCode kCP_ObjectIdent__Application 				= CP_FOUR_CHAR_CODE('appl');

//========================================================================
// Documents
//========================================================================
const FourCharCode kCP_ObjectIdent__Document 					= CP_FOUR_CHAR_CODE('docu');

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_ObjectIdentifiers

