//=========================================================================
//
//	FILE:				CP_WindowsWindowDefines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Defines for the various Windows OS Window names and
//						defines.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_WindowsWindowDefines
#define _H_CP_WindowsWindowDefines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

#if TARGET_OS_WIN32
	
//========================================================================
// CPLAT Views
//========================================================================
#define kClassName_Button											"button"
#define kClassName_ComboBox											"combobox"
#define kClassName_DateTime											"DateTime"
#define kClassName_Edit												"edit"
#define kClassName_ScrollBar										"scrollbar"

#endif	// TARGET_OS_WIN32

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_WindowsWindowDefines

