//=========================================================================
//
//	FILE:				CP_FrameworkStructures_Linux.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_FrameworkStructures_Linux
#define _H_CP_FrameworkStructures_Linux
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_LINUX

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

	enum CP_E_MenuItemMarkers_Linux
	{
		CP_E_MIMark__MenuDef,							// item is a top level menu
		CP_E_MIMark__MenuItem,							// item is a menu definition
		CP_E_MIMark__EndDef								// no more items to be read
	};
	
	typedef struct CP_S_MenuItems_Linux
	{
		SInt16					fMarkerFlag;			// what type of info do we have -- Menu, MenuItem, End
		char					*fMenuTitle;			// title of menu - as a c-style string
		CP_CommandNo			fMenuCommand;			// ID of menu
		SInt16					fAcceleratorKey;		// key used as accelerator - 0 if none
	} CP_S_MenuItems_Linux;

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_LINUX

#endif	// _H_CP_FrameworkStructures_Linux

