//=========================================================================
//
//	FILE:				CP_ScriptableObject_Imp_Gtk.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_ScriptableObject_Imp_Gtk
#define _H_CP_ScriptableObject_Imp_Gtk
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_LINUX

	// CPLAT_Framework
#include "CP_NoCopy.h"
#include "CP_OSTypes.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_ScriptableObject_Imp : public CP_NoCopy
{
public:
									// Construction / destruction
	virtual						~CP_ScriptableObject_Imp() throw();
				
protected:
									// Construction / destruction
								CP_ScriptableObject_Imp();
								CP_ScriptableObject_Imp(
										SInt32 inClassID,
										CP_ScriptableObject_Imp *inContainer );

	// class data
protected:

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_LINUX

#endif	// _H_CP_ScriptableObject_Imp_Gtk

