//=========================================================================
//
//	FILE:				CP_UIClasses_Icons.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Demonstration icons used in the CP_UIClasses demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 7 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:07 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

	// Apple Includes
#include <Carbon.r>

resource 'ICN#' (1000) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"07FE 0000 0FFF FE00 1FFF FFC0 1FFF FFF8"
		$"3FFF FFFC 3FFF FFFE 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE 7FFF FFFE"
		$"7FFF FFFC 3FFF FFFC 3FFF FFFC 1FFF FFFC"
		$"FFFF FFF8 FFFF FFF8 FFFF FFFE FFFF FFFF"
	}
};

resource 'ICN#' (1001) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 000E 3C00"
		$"003F 7F00 007F FF80 0FFF FFFE 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 0FFF FFFF 0FFF FFFF"
		$"07FF FFFF 0FFF FFFF 1FFF FFFF 3FFF FFFF"
		$"7FFF FFFE 7FFF FFFE FFFF FFFC FFFF FFF8"
		$"FFFF FFF0 FFFF FFE0 7FFF FFC0 07FF FF80"
		$"0003 FF"
	}
};

resource 'ICN#' (1002) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0007 E000 000F F000 00FF FF00 07FF FFE0"
		$"0FFF FFF0 0FFF FFF0 1FFF FFF8 1FFF FFF8"
		$"1FFF FFF8 1FFF FFF8 7FFF FFFE FFFF FFFF"
		$"FFFF FFFF 67FF FFE6 07FF FFE0 07FF FFE0"
		$"07FF FFE0 07FF FFE0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 07FF FFE0 03FF FFC0 00FF FF"
	}
};

resource 'ICN#' (1003) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"07FE 0000 0FFF FE00 1FFF FFC0 1FFF FFF8"
		$"3FFF FFFC 3FFF FFFE 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE 7FFF FFFE"
		$"7FFF FFFC 3FFF FFFC 3FFF FFFC 1FFF FFFC"
		$"FFFF FFF8 FFFF FFF8 FFFF FFFE FFFF FFFF"
	}
};

resource 'ICN#' (1004) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0000 0010 0000 0038 0000 001C 0000 001C"
		$"0000 001C 0000 003C 0000 0078 0000 0078"
		$"0000 0078 0000 007C 0001 FF3C 0E0F FFDE"
		$"1F3F FFFF 3FFF FFFF 3FFF FFFF 3FFF FFFF"
		$"1FFF FFFE 1FFF FFFE 3FFF FFFE 7FFF FFFE"
		$"7FFF FFFE FFFF FFFE FFFF FFFC FFFF FFF8"
		$"FFFF FFF0 7FFF FFE0 3FFF FF80 0FFF F0"
	}
};

resource 'ICN#' (1005) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0000 0010 0000 0038 0000 001C 0000 001C"
		$"0000 001C 0000 003C 0000 0078 0000 0078"
		$"0000 0078 0000 007C 0001 FF3C 0E0F FFDE"
		$"1F3F FFFF 3FFF FFFF 3FFF FFFF 3FFF FFFF"
		$"1FFF FFFE 1FFF FFFE 3FFF FFFE 7FFF FFFE"
		$"7FFF FFFE FFFF FFFE FFFF FFFC FFFF FFF8"
		$"FFFF FFF8 7FFF FFFC 3FFF FFFC 0FFF FFFC"
		$"0003 FFFC 0001 FFF8 0001 FFF0 0001 FFC0"
	}
};

resource 'icl8' (1000) {
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FF00"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FF2B 2BFF F5F6 F5F6 F5F6 F5FF"
	$"FFFF FFFF FFFF FF00 0000 0000 0000 0000"
	$"0000 00FF 2B2B FFF5 F6F5 F6F5 F6F5 F6F5"
	$"F6F5 F6F5 F6F5 F6FF FFFF 0000 0000 0000"
	$"0000 00FF 2B2B FFF6 F5FA FAFA F5FA FAF6"
	$"F6F6 F5F6 F5F6 F6F5 F6F5 FFFF FF00 0000"
	$"0000 FF2B 2BFF F5F6 F6F5 F6F5 F6F5 F6F5"
	$"F6F5 F6F6 F6F5 F6F6 23F6 F5F6 F5FF 0000"
	$"0000 FF2B 2BFF F6F6 F5FF FFFF FFFF FFF6"
	$"F5F6 F6F6 F5F6 F6F5 23FF FFF5 F6F5 FF00"
	$"0000 FF2B 2BFF F5F6 FF24 242A 2424 24FF"
	$"FFFF FFFF FFFF FFF6 F5F6 F5FF FFF6 F5FF"
	$"00FF 2B2B FFF5 F6FF 2424 2A24 2A4E 4E4E"
	$"4E4E 724E 4E72 72FF FFFF F6F5 F6F5 F6FF"
	$"00FF 2B2B FFF6 F5FF 2A24 2424 4E4E 4E4E"
	$"4E72 9C4E 4E4E 7272 7296 FFFF F5F6 F5FF"
	$"00FF 2B2B FFF5 F6FF 2424 2A4E 7272 7272"
	$"7272 96C1 4E4E 4E72 7272 9696 FFF5 F6FF"
	$"00FF 2B2B FFF6 F5FF 242A 9696 9C9C 9C9C"
	$"9C9C 9CC1 7272 7272 7272 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF24 2AC1 CDFF FFFF FFFF"
	$"FFFF C1C1 9C9C 9C96 9672 7296 FFF5 F6FF"
	$"FF2B 2BFF F5F6 FF24 4E4E 4EFF F600 00FF"
	$"FF00 FFFF FFFF FFFF FFCD 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF24 4E4E 4EFF F600 0000"
	$"0000 FF00 00FF FF00 FF72 7296 FFF5 F6FF"
	$"FF2B 2BFF F5F6 FF4E 4E4E 4EFF 2BF6 0000"
	$"0000 FF00 0000 0000 FF72 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E FFF7 F6F6"
	$"2BFF 4EFF 0000 00FF 7272 7296 FFF5 F6FF"
	$"FF2B 2BFF F6F6 FF4E 4E4E 4E4E 4EFF FFFF"
	$"FF4E 4E4E FFFF FF72 7272 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E 7272 7272"
	$"7272 7272 7272 7272 7272 7296 FFF5 F6FF"
	$"FF2B FFF5 F6FF 724E 4E4E 7272 7272 7272"
	$"7272 7272 7272 7272 7272 9696 FFF6 F5FF"
	$"FF2B FFF6 F5FF 4E4E 4E72 7272 7272 7272"
	$"7272 7272 7272 7272 7272 96FF F6F5 FF00"
	$"FF2B FFF5 F6FF 4E72 72FF FFFF FFFF FFFF"
	$"FFFF FF72 7272 7272 7272 96FF F5F6 FF00"
	$"FF2B FFF6 F5FF 4E72 FFC0 C1C0 96C0 C1C0"
	$"9696 C0FF FFFF FF72 7272 96FF F6F5 FF00"
	$"FF2B FFF5 F6FF 7272 7296 C096 7296 C096"
	$"7272 96C1 C096 C1FF 7272 96FF F5F6 FF00"
	$"00FF 2BFF F6F5 FF72 7272 9672 7272 9672"
	$"7272 72C0 9696 C096 7296 96FF F6F5 FF00"
	$"00FF 2BFF F5F6 F5FF FFFF FFFF 7272 7272"
	$"7272 7296 7272 9696 9696 FFF5 F6FF 0000"
	$"0000 FF2B FFF6 F6F5 F6F5 F6F5 FFFF FFFF"
	$"FFFF 7272 7296 9696 96C0 FFF6 F5FF 0000"
	$"0000 FF2B FF2B F6F6 F5F6 F5F6 F5F6 F5F6"
	$"F5F6 FFFF FFFF FFFF FFFF F5F6 F6FF 0000"
	$"0000 00FF 2BFF F7F7 F6F5 F6F6 F6F5 F6F5"
	$"FFF5 F6F5 F6F5 F6F5 F6F5 F6F5 F7FF 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFF5 F6F6 F6F6"
	$"F5F6 F5FB F5FB F5FB F5F6 F6F7 FF00 0000"
	$"F500 F5F5 00F5 F500 F5F5 00FF FFFF FFFF"
	$"FFF6 F6F5 F6F5 F62B F7F7 F72B FF00 0000"
	$"F5FF FFF5 FFFF 00FF FFF5 F5F5 00F5 00F5"
	$"F5FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFF5 00FF F500 FFF5 00FF FFFF F5FF FFF5"
	$"F500 F500 F5F5 00F5 F500 F5F5 00F5 00FF"
};

resource 'icl8' (1001) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FF00"
	$"0000 FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FFFF 0000 00FF"
	$"00FF 0000 0000 FFFF 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0000 0000 0000"
	$"FF00 0000 0000 0000 FF00 0000 0000 0000"
	$"0000 0000 FFFF FFFF FFFF 0000 0000 0000"
	$"FF00 0000 0000 0000 FFFF FFFF FFFF FF00"
	$"0000 00FF F6F6 F6F6 FF00 0000 F9FF 0000"
	$"FF00 0000 00F9 FF00 00FF F6F6 F6F7 F8FF"
	$"0000 00FF F6F6 F6F6 FF00 0000 FFFF 0000"
	$"FF00 0000 00FF FF00 00FF F6F6 2BF7 56FF"
	$"0000 00FF F6F6 F6F6 FF00 0000 0000 0000"
	$"FF00 0000 0000 0000 00FF F6F7 F7F7 F8FF"
	$"0000 00FF 2BF6 F6F6 F6FF 0000 0000 0000"
	$"FF00 0000 0000 0000 FFF6 F62B F7F8 56FF"
	$"0000 00FF F7F7 F7F6 F6FF 0000 0000 0000"
	$"FF00 0000 0000 0000 FFF6 F7F7 F856 81FF"
	$"0000 00FF 2BB9 9B2B F6F6 FF00 0000 00FF"
	$"F6FF 0000 0000 FFFF F62B F756 5681 81FF"
	$"0000 00FF F7F7 2BF7 F7F6 F6FF FFFF FFF6"
	$"F6F6 FFFF FFFF F62B F7F7 F856 F8FF FFFF"
	$"0000 0000 FFFF FFFF FF2B F7F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F7F7 FFFF FFFF FF00 00FF"
	$"0000 0000 FF00 F700 2BFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 002B 0000 00FF FFFF"
	$"0000 0000 00FF FF00 F700 00F7 0000 002B"
	$"0000 00F7 0000 2B00 00FF FFFF FF00 00FF"
	$"0000 0000 FFFF 00FF FFFF FFFF 0000 00FF"
	$"0000 00FF FFFF FFFF FF23 FF00 FF00 FFFF"
	$"0000 00FF 0000 FF0A 0A0A 0A0A FFFF FFFF"
	$"FFFF FF35 3535 35FF 23FF 0000 00FF F8FF"
	$"0000 FFFF 00FF 0A0A 0A03 0303 0100 FFFF"
	$"000A 0A0A 0A0A 0A35 FFFF 0000 FF56 81FF"
	$"00FF 0000 FFFF 0303 0301 0100 F503 0000"
	$"0A0A 0A0A 0A0A 0A0A FF00 FFFF 2B56 FF00"
	$"00FF 00FF 2323 FF01 0100 F501 0303 340A"
	$"0A0A 0A0A 0A0A 0AFF 0000 FF2B 5681 FF00"
	$"FFFF FFFF FF23 23FF FFFF 0103 0A34 3434"
	$"0A0A 0A0A FFFF FF00 FFFF 2B56 81FF 0000"
	$"FFF6 F6F6 F6FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF 23FF 0000 FF2B 5681 FF00 0000"
	$"FFF6 F856 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"FFFF FFFF FFFF FFFF 2B56 81FF 0000 0000"
	$"FFF6 F6F6 F6F6 F6F6 56F8 56F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F656 5681 FF00 0000 0000"
	$"00FF FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6FF FFF6 F681 81FF 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF F6F6"
	$"F6F6 F6F6 F6F6 F681 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF FFFF FFFF"
};

resource 'icl8' (1002) {
	$"0000 0000 0000 0000 0000 0000 00FF FFFF"
	$"FFFF FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFF5 F62B"
	$"F7F7 2BFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF F7F7 F5F6 F5F6 F5F7"
	$"2BF6 F5F7 2BF7 F72B FFFF FF00 0000 0000"
	$"0000 0000 FF2B F6F5 F7FF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFF7 F72B F7FF 0000 0000"
	$"0000 0000 FFFF FFFF FFF6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF FFFF FFFF 0000 0000"
	$"0000 00FF FFF6 F6F6 F6F6 2BF6 2BF7 00F5"
	$"F7F7 F72B F8F7 F6F6 F6F6 F6FF FF00 0000"
	$"0000 00FF F6F6 F6F7 2BF7 F7F5 F7F7 F5F6"
	$"2BF8 F7F7 F7F8 2BF8 F7F8 F7F6 FF00 0000"
	$"0000 00FF F6F6 2BF7 F72B F7F6 F72B F6F6"
	$"F7F7 F7F7 F8F7 F7F7 F8F7 F8F7 FF00 0000"
	$"0000 00FF F72B 5656 F856 FFFF FFFF FFFF"
	$"FFFF FFFF FFFF F856 5656 F8F8 FF00 0000"
	$"00FF FFFF F856 FFFF FFFF F9FA F9FA F9FA"
	$"F9FA F9F9 FAF9 FFFF FFFF 56F8 FFFF FF00"
	$"FFF7 F72B FFFF F9FA F9FA F72B F72B F72B"
	$"F7F7 2BF7 F72B FAF9 FAF9 FFFF F7F7 2BFF"
	$"FF2B F7FF FFFF FA2B F72B F7FF FFFF 2BF7"
	$"2BF7 FFFF FFF7 2BF7 2BFA FFFF FF2B F7FF"
	$"00FF FF00 00FF 2BF7 2BF7 FF00 0000 FFF7"
	$"F7FF 0000 00FF F7F7 F72B FF00 00FF FF00"
	$"0000 0000 00FF F7F7 F7FF 0000 0000 00FF"
	$"FF00 0000 0000 FF2B F7F7 FF00 0000 0000"
	$"0000 0000 00FF 2BF7 2BFF 0000 F9FF 00FF"
	$"FF00 F9FF 0000 FFF7 2BF7 FF00 0000 0000"
	$"0000 0000 00FF F72B F7FF 0000 FFFF 00FF"
	$"FF00 FFFF 0000 FFF7 F72B FF00 0000 0000"
	$"0000 0000 00FF 2BF7 F7FF 0000 0000 00FF"
	$"FF00 0000 0000 FFF7 2BF6 FF00 0000 0000"
	$"0000 0000 FFF5 F6F7 2BF7 FF00 0000 FF2B"
	$"F7FF 0000 00FF 2BF7 F72B F6FF 0000 0000"
	$"0000 0000 FFF6 F7FF F7F7 2BFF FFFF F7F7"
	$"F72B FFFF FFF7 F72B FFF7 2BFF 0000 0000"
	$"0000 0000 FF2B FFF6 FF2B F7F7 2BF7 2BF7"
	$"2BF7 F72B F72B F7FF F6FF F7FF 0000 0000"
	$"0000 0000 FFF7 FFF6 F5FF FF2B F7F7 F72B"
	$"F7F7 F7F7 2BFF FFF5 F6FF 2BFF 0000 0000"
	$"0000 0000 FF2B FAF7 F6F5 F6FF FF2B F7F7"
	$"F72B F7FF FFF5 F6F6 F7F9 F7FF 0000 0000"
	$"0000 0000 FFF7 F72B F7F6 F6F6 F5FF FFFF"
	$"FFFF FFF6 F5F6 F6F7 2BF7 F7FF 0000 0000"
	$"0000 0000 FF2B F7F7 F8F7 F7F6 F6F5 00F6"
	$"0000 F5F6 F6F7 F7F8 F7F7 2BFF 0000 0000"
	$"0000 0000 FFF7 2BF7 F8F8 562B F7F6 F6F6"
	$"F6F6 F6F7 F756 F8F8 F72B F7FF 0000 0000"
	$"0000 0000 FFF7 F72B F8F8 F856 56F7 2BF7"
	$"F72B F756 F856 F7F8 2BF7 F7FF 0000 0000"
	$"0000 0000 FFF7 2BF7 F7F7 F8F8 56F8 56F8"
	$"5656 56F8 56F7 F82B F7F7 2BFF 0000 0000"
	$"0000 0000 FF2B F7F7 2BF7 F7F8 F756 5656"
	$"5656 56F7 F8F8 2BF7 F7F7 F7FF 0000 0000"
	$"0000 0000 00FF F72B F7F7 F7F7 F82B 2B2B"
	$"F72B 2B2B F7F7 F7F7 F72B FF00 0000 0000"
	$"0000 0000 0000 FFFF 2BF7 F7F8 F72B 2B2B"
	$"F72B 2BF7 F8F7 F72B FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF"
};

resource 'icl8' (1003) {
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FF00"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FF2B 2BFF F5F6 F5F6 F5F6 F5FF"
	$"FFFF FFFF FFFF FF00 0000 0000 0000 0000"
	$"0000 00FF 2B2B FFF5 F6F5 F6F5 F6F5 F6F5"
	$"F6F5 F6F5 F6F5 F6FF FFFF 0000 0000 0000"
	$"0000 00FF 2B2B FFF6 F5FA FAFA F5FA FAF6"
	$"F6F6 F5F6 F5F6 F6F5 F6F5 FFFF FF00 0000"
	$"0000 FF2B 2BFF F5F6 F6F5 F6F5 F6F5 F6F5"
	$"F6F5 F6F6 F6F5 F6F6 23F6 F5F6 F5FF 0000"
	$"0000 FF2B 2BFF F6F6 F5FF FFFF FFFF FFF6"
	$"F5F6 F6F6 F5F6 F6F5 23FF FFF5 F6F5 FF00"
	$"0000 FF2B 2BFF F5F6 FF24 242A 2424 24FF"
	$"FFFF FFFF FFFF FFF6 F5F6 F5FF FFF6 F5FF"
	$"00FF 2B2B FFF5 F6FF 2424 2A24 2A4E 4E4E"
	$"4E4E 4E4E 4E72 72FF FFFF F6F5 F6F5 F6FF"
	$"00FF 2B2B FFF6 F5FF 2A24 2424 4EFF FFFF"
	$"FF4E FFFF FFFF 7272 7296 FFFF F5F6 F5FF"
	$"00FF 2B2B FFF5 F6FF 2424 2A4E FFF6 0000"
	$"00FF 0000 0000 FF72 7272 9696 FFF5 F6FF"
	$"00FF 2B2B FFF6 F5FF 242A 4EFF 2B00 0000"
	$"0000 FF00 0000 00FF 7272 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF2A 244E 4EFF F600 00FF"
	$"FF00 FF00 FFFF 00FF 7272 7296 FFF5 F6FF"
	$"FF2B 2BFF F5F6 FF24 4E4E 4EFF F600 00FF"
	$"FF00 FF00 FFFF 00FF 7272 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF24 4E4E 4EFF F600 0000"
	$"0000 FF00 0000 00FF 7272 7296 FFF5 F6FF"
	$"FF2B 2BFF F5F6 FF4E 4E4E 4EFF F7F6 0000"
	$"0000 FF00 0000 F6FF 7272 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E FFF7 F6F6"
	$"2BFF F7F6 F62B FF72 7272 7296 FFF5 F6FF"
	$"FF2B 2BFF F6F6 FF4E 4E4E 4E4E 4EFF FFFF"
	$"FF4E FFFF FFFF 7272 7272 7296 FFF6 F5FF"
	$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E 7272 7272"
	$"7272 7272 7272 7272 7272 7296 FFF5 F6FF"
	$"FF2B FFF5 F6FF 724E 4E4E 7272 7272 7272"
	$"7272 7272 7272 7272 7272 9696 FFF6 F5FF"
	$"FF2B FFF6 F5FF 4E4E 4E72 7272 7272 7272"
	$"7272 7272 7272 7272 7272 96FF F6F5 FF00"
	$"FF2B FFF5 F6FF 4E72 72FF FFFF FFFF FFFF"
	$"FFFF FF72 7272 7272 7272 96FF F5F6 FF00"
	$"FF2B FFF6 F5FF 4E72 FFC0 C1C0 96C0 C1C0"
	$"9696 C0FF FFFF FF72 7272 96FF F6F5 FF00"
	$"FF2B FFF5 F6FF 7272 7296 C096 7296 C096"
	$"7272 96C1 C096 C1FF 7272 96FF F5F6 FF00"
	$"00FF 2BFF F6F5 FF72 7272 9672 7272 9672"
	$"7272 72C0 9696 C096 7296 96FF F6F5 FF00"
	$"00FF 2BFF F5F6 F5FF FFFF FFFF 7272 7272"
	$"7272 7296 7272 9696 9696 FFF5 F6FF 0000"
	$"0000 FF2B FFF6 F6F5 F6F5 F6F5 FFFF FFFF"
	$"FFFF 7272 7296 9696 96C0 FFF6 F5FF 0000"
	$"0000 FF2B FF2B F6F6 F5F6 F5F6 F5F6 F5F6"
	$"F5F6 FFFF FFFF FFFF FFFF F5F6 F6FF 0000"
	$"0000 00FF 2BFF F7F7 F6F5 F6F6 F6F5 F6F5"
	$"FFF5 F6F5 F6F5 F6F5 F6F5 F6F5 F7FF 0000"
	$"FFFF FFFF FFFF FFFF FFFF FFF5 F6F6 F6F6"
	$"F5F6 F5FB F5FB F5FB F5F6 F6F7 FF00 0000"
	$"F500 F5F5 00F5 F500 F5F5 00FF FFFF FFFF"
	$"FFF6 F6F5 F6F5 F62B F7F7 F72B FF00 0000"
	$"F5FF FFF5 FFFF 00FF FFF5 F5F5 00F5 00F5"
	$"F5FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFF5 00FF F500 FFF5 00FF FFFF F5FF FFF5"
	$"F500 F5F5 00F5 F500 F500 F5F5 00F5 00FF"
};

resource 'icl8' (1004) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF06 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 06FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 06FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 06FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF43 18FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0618 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0618 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 4343 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0606 18FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FFFF FFFF FFFF FFFF 0000 FF06 18FF 0000"
	$"0000 0000 FFFF FF00 0000 0000 FFFF FF00"
	$"0000 0000 0000 0000 FFFF 00FF 4318 FF00"
	$"0000 00FF 0C0C 0CFF 0000 FFFF 0000 0000"
	$"0000 0000 0000 0000 F5F6 FFFF 0606 18FF"
	$"0000 FF0C 0C0C 0CFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 00F5 F6F5 FF06 18FF"
	$"0000 FF0C 0C0C FFFF 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 F6F6 F6FF 06FF"
	$"0000 FF0C 0CFF 0000 0000 0000 FFFF FFFF"
	$"0000 0000 0000 0000 0000 F5F6 F5FF 18FF"
	$"0000 00FF FF00 0000 0000 00FF 0606 0606"
	$"FF00 0000 0000 0000 0000 00F6 F6F6 FF00"
	$"0000 00FF F9FA F900 0000 FF0C 0C0C 0606"
	$"06FF 0000 0000 0000 0000 00F6 F5F6 FF00"
	$"0000 FF00 FA00 FBFA F9FA FF18 180C 0C06"
	$"06FF 0000 0000 0000 0000 F6F5 F6F6 FF00"
	$"00FF 00F9 00FB FBFB 0000 F943 4318 0C06"
	$"06FF 0000 0000 0000 0000 F5F6 F6F9 FF00"
	$"00FF FA00 FBFB 0000 FAF9 00FA 4318 0C06"
	$"FF00 0000 0000 FAF9 FAF5 F6F5 FAF6 FF00"
	$"FFF9 0000 0000 FAF9 0000 00F9 06FF FFFF"
	$"0000 00FA F9FA 0000 F5FA FAFA F6F6 FF00"
	$"FFFA 0000 00F9 0000 0000 00F6 F900 0000"
	$"FAF9 FA00 0000 00F6 F5F6 F5F6 F6FF 0000"
	$"FFFA F900 FA00 0000 0000 F6F5 FAF9 FAF9"
	$"0000 0000 00F5 F6F5 F6F6 F6F6 FF00 0000"
	$"FF00 00FA F900 F5F6 F5FA F9FA 0000 0000"
	$"0000 00F5 F6F6 F5F6 F6F6 F6FF 0000 0000"
	$"00FF 0000 00F9 FAFA FA00 0000 0000 0000"
	$"00F5 F6F6 F5F6 F6F6 F6FF FF00 0000 0000"
	$"0000 FFFF 0000 0000 0000 0000 0000 0000"
	$"F6F6 F5F6 FFFF FFFF FF00 0000 0000 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF"
};

resource 'icl8' (1005) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF06 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 06FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 06FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 00FF 06FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 FF43 18FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0618 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0618 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 4343 FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 00FF 0606 18FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FFFF FFFF FFFF FFFF 0000 FF06 18FF 0000"
	$"0000 0000 FFFF FF00 0000 0000 FFFF FF00"
	$"0000 0000 0000 0000 FFFF 00FF 4318 FF00"
	$"0000 00FF 0C0C 0CFF 0000 FFFF 0000 0000"
	$"0000 0000 0000 0000 F5F6 FFFF 0606 18FF"
	$"0000 FF0C 0C0C 0CFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 00F5 F6F5 FF06 18FF"
	$"0000 FF0C 0C0C FFFF 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 F6F6 F6FF 06FF"
	$"0000 FF0C 0CFF 0000 0000 0000 FFFF FFFF"
	$"0000 0000 0000 0000 0000 F5F6 F5FF 18FF"
	$"0000 00FF FF00 0000 0000 00FF 0606 0606"
	$"FF00 0000 0000 0000 0000 00F6 F6F6 FF00"
	$"0000 00FF F9FA F900 0000 FF0C 0C0C 0606"
	$"06FF 0000 0000 0000 0000 00F6 F5F6 FF00"
	$"0000 FF00 FA00 FBFA F9FA FF18 180C 0C06"
	$"06FF 0000 0000 0000 0000 F6F5 F6F6 FF00"
	$"00FF 00F9 00FB FBFB 0000 F943 4318 0C06"
	$"06FF 0000 0000 0000 0000 F5F6 F6F9 FF00"
	$"00FF FA00 FBFB 0000 FAF9 00FA 4318 0C06"
	$"FF00 0000 0000 FAF9 FAF5 F6F5 FAF6 FF00"
	$"FFF9 0000 0000 FAF9 0000 00F9 06FF FFFF"
	$"0000 00F9 FAF9 FFFF FFFF FAFA F6F6 FF00"
	$"FFFA 0000 00F9 0000 0000 00F6 F900 0000"
	$"FAF9 FA00 FFFF 0000 00F6 FFF6 F6FF 0000"
	$"FFFA F900 FA00 0000 0000 F6F5 FAF9 FAF9"
	$"0000 FFFF 0000 00F6 F6F6 F6FF FF00 0000"
	$"FF00 00FA F900 F5F6 F5FA F9FA 0000 0000"
	$"00FF 0000 F500 F6F6 FFFF FF00 FF00 0000"
	$"00FF 0000 00F9 FAFA FA00 0000 0000 0000"
	$"FF00 0000 FFFF FFFF 0303 03FF 00FF 0000"
	$"0000 FFFF 0000 0000 0000 0000 0000 00FF"
	$"00FF FFFF 0303 0303 03FF 03FF 00FF 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FF03 0303 0404 0101 0904 04FF 00FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FF03"
	$"0303 FF03 0104 0409 0904 03FF 00FF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0303 0303 03FF 0409 0903 03FF FF00 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0303 0303 0303 0303 0303 FFFF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FFFF FFFF FFFF FFFF FFFF"
};


resource 'icns' (1000) {
	{	/* array elementArray: 6 elements */
		/* [1] */
		'ics#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"3FF8 7FFE FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF 7FFE FFFE FFFF FFFF",
		/* [2] */
		'ics8',
		$"0000 FFFF FFFF FFFF FFFF FFFF FF00 0000"
		$"00FF 2BF5 F601 F5F6 01F5 F601 F5FF FF00"
		$"FF2B 01F6 FFFF FFFF FFFF FFF6 01F6 F5FF"
		$"FF2B F6FF 4E4E 4E4E 4E4E 72FF FFF6 01FF"
		$"FFF5 01FF 2A4E 7272 72C1 4E72 72FF F6FF"
		$"FF01 FF4E C1FF FFFF FFFF FFFF 72FF F5FF"
		$"FFF6 FF4E 4E01 F6FF 0000 FF00 72FF 01FF"
		$"FFF5 FF4E 4E4E F72B 01F5 00F5 72FF F6FF"
		$"FF01 FF4E 4E4E 7272 7272 7272 72FF F5FF"
		$"FFF6 FF4E FFFF FFFF 7272 7272 72FF 01FF"
		$"FFF5 FF72 C0C0 C0C0 FFFF FF72 72FF F6FF"
		$"FFF6 F5FF FFFF 7272 72C0 9696 96FF F5FF"
		$"00FF 01F6 F501 FFFF FFFF FFFF FFF5 FF00"
		$"FFFF FFF8 07F6 F601 F5F6 01F5 F601 FF00"
		$"F5F5 F5FF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFF5 FFF5 F601 F5F5 F5F5 F5F5 F5F5 F5FF",
		/* [3] */
		'is32',
		$"01FF FF88 0081 FF01 00CF 87DF 0600 00FF"
		$"00CF DFDF 8400 81DF 0600 00CF DF00 AFAF"
		$"818F 0B6F 0000 DFDF 0000 DFDF 00AF 8F80"
		$"6F0A 008F 6F6F 00DF 0000 DF00 AF85 0016"
		$"6F00 DF00 00DF 00AF 8FDF DF00 FFFF 00FF"
		$"6F00 DF00 00DF 0080 8F00 BF80 DF08 FFDF"
		$"6F00 DF00 00DF 0080 8F84 6F06 00DF 0000"
		$"DF00 8F81 0082 6F06 00DF 0000 DF00 6F84"
		$"0007 6F6F 00DF 0000 DFDF 8000 806F 0000"
		$"804F 0400 DF00 FF00 81DF 8400 02DF 00FF"
		$"8000 00BF 87DF 0100 FF80 EF8B 0001 DF00"
		$"81DF 85EF 0000 01FF FF88 0081 FF01 00CF"
		$"87E7 0600 00FF 00CF E7E7 8400 81E7 0600"
		$"00CF E700 DFDF 81D7 0BC7 0000 E7E7 0000"
		$"E7E7 00DF D780 C70B 8FD7 C7C7 00E7 0000"
		$"E700 DF8F 8400 16C7 00E7 0000 E700 DFD7"
		$"E7E7 00FF FF00 FFC7 00E7 0000 E700 80D7"
		$"0CBF D7E7 E7FF E7C7 00E7 0000 E700 80D7"
		$"84C7 0600 E700 00E7 00D7 8100 82C7 0600"
		$"E700 00E7 00C7 81A7 8000 07C7 C700 E700"
		$"00E7 E780 0080 C700 A780 B704 00E7 00FF"
		$"0081 E784 0002 E700 FF80 0000 BF87 E701"
		$"00FF 80EF 8B00 01E7 0081 E785 EF00 0001"
		$"FFFF 8800 81FF 0100 CF87 DF06 0000 FF00"
		$"CFDF DF84 0081 DF04 0000 CFDF 0084 FF08"
		$"0000 DFDF 0000 DFDF 0082 FF00 DF80 FF07"
		$"00DF 0000 DF00 FFDF 8400 16FF 00DF 0000"
		$"DF00 FFFF DFDF 00FF FF00 FFFF 00DF 0000"
		$"DF00 80FF 00BF 80DF 08FF DFFF 00DF 0000"
		$"DF00 87FF 0600 DF00 00DF 00FF 8100 82FF"
		$"0500 DF00 00DF 0082 FF80 0007 FFFF 00DF"
		$"0000 DFDF 8000 84FF 0400 DF00 FF00 81DF"
		$"8400 02DF 00FF 8000 00BF 87DF 0100 FF80"
		$"EF8B 0001 DF00 81DF 85EF 0000",
		/* [4] */
		'ICN#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"07FE 0000 0FFF FE00 1FFF FFC0 1FFF FFF8"
		$"3FFF FFFC 3FFF FFFE 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE 7FFF FFFE"
		$"7FFF FFFC 3FFF FFFC 3FFF FFFC 1FFF FFFC"
		$"FFFF FFF8 FFFF FFF8 FFFF FFFE FFFF FFFF",
		/* [5] */
		'icl8',
		$"0000 0000 00FF FFFF FFFF FFFF FFFF FF00"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 FF2B 2BFF F5F6 F5F6 F5F6 F5FF"
		$"FFFF FFFF FFFF FF00 0000 0000 0000 0000"
		$"0000 00FF 2B2B FFF5 F6F5 F6F5 F6F5 F6F5"
		$"F6F5 F6F5 F6F5 F6FF FFFF 0000 0000 0000"
		$"0000 00FF 2B2B FFF6 F5FA FAFA F5FA FAF6"
		$"F6F6 F5F6 F5F6 F6F5 F6F5 FFFF FF00 0000"
		$"0000 FF2B 2BFF F5F6 F6F5 F6F5 F6F5 F6F5"
		$"F6F5 F6F6 F6F5 F6F6 23F6 F5F6 F5FF 0000"
		$"0000 FF2B 2BFF F6F6 F5FF FFFF FFFF FFF6"
		$"F5F6 F6F6 F5F6 F6F5 23FF FFF5 F6F5 FF00"
		$"0000 FF2B 2BFF F5F6 FF24 242A 2424 24FF"
		$"FFFF FFFF FFFF FFF6 F5F6 F5FF FFF6 F5FF"
		$"00FF 2B2B FFF5 F6FF 2424 2A24 2A4E 4E4E"
		$"4E4E 724E 4E72 72FF FFFF F6F5 F6F5 F6FF"
		$"00FF 2B2B FFF6 F5FF 2A24 2424 4E4E 4E4E"
		$"4E72 9C4E 4E4E 7272 7296 FFFF F5F6 F5FF"
		$"00FF 2B2B FFF5 F6FF 2424 2A4E 7272 7272"
		$"7272 96C1 4E4E 4E72 7272 9696 FFF5 F6FF"
		$"00FF 2B2B FFF6 F5FF 242A 9696 9C9C 9C9C"
		$"9C9C 9CC1 7272 7272 7272 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF24 2AC1 CDFF FFFF FFFF"
		$"FFFF C1C1 9C9C 9C96 9672 7296 FFF5 F6FF"
		$"FF2B 2BFF F5F6 FF24 4E4E 4EFF F600 00FF"
		$"FF00 FFFF FFFF FFFF FFCD 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF24 4E4E 4EFF F600 0000"
		$"0000 FF00 00FF FF00 FF72 7296 FFF5 F6FF"
		$"FF2B 2BFF F5F6 FF4E 4E4E 4EFF 2BF6 0000"
		$"0000 FF00 0000 0000 FF72 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E FFF7 F6F6"
		$"2BFF 4EFF 0000 00FF 7272 7296 FFF5 F6FF"
		$"FF2B 2BFF F6F6 FF4E 4E4E 4E4E 4EFF FFFF"
		$"FF4E 4E4E FFFF FF72 7272 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E 7272 7272"
		$"7272 7272 7272 7272 7272 7296 FFF5 F6FF"
		$"FF2B FFF5 F6FF 724E 4E4E 7272 7272 7272"
		$"7272 7272 7272 7272 7272 9696 FFF6 F5FF"
		$"FF2B FFF6 F5FF 4E4E 4E72 7272 7272 7272"
		$"7272 7272 7272 7272 7272 96FF F6F5 FF00"
		$"FF2B FFF5 F6FF 4E72 72FF FFFF FFFF FFFF"
		$"FFFF FF72 7272 7272 7272 96FF F5F6 FF00"
		$"FF2B FFF6 F5FF 4E72 FFC0 C1C0 96C0 C1C0"
		$"9696 C0FF FFFF FF72 7272 96FF F6F5 FF00"
		$"FF2B FFF5 F6FF 7272 7296 C096 7296 C096"
		$"7272 96C1 C096 C1FF 7272 96FF F5F6 FF00"
		$"00FF 2BFF F6F5 FF72 7272 9672 7272 9672"
		$"7272 72C0 9696 C096 7296 96FF F6F5 FF00"
		$"00FF 2BFF F5F6 F5FF FFFF FFFF 7272 7272"
		$"7272 7296 7272 9696 9696 FFF5 F6FF 0000"
		$"0000 FF2B FFF6 F6F5 F6F5 F6F5 FFFF FFFF"
		$"FFFF 7272 7296 9696 96C0 FFF6 F5FF 0000"
		$"0000 FF2B FF2B F6F6 F5F6 F5F6 F5F6 F5F6"
		$"F5F6 FFFF FFFF FFFF FFFF F5F6 F6FF 0000"
		$"0000 00FF 2BFF F7F7 F6F5 F6F6 F6F5 F6F5"
		$"FFF5 F6F5 F6F5 F6F5 F6F5 F6F5 F7FF 0000"
		$"FFFF FFFF FFFF FFFF FFFF FFF5 F6F6 F6F6"
		$"F5F6 F5FB F5FB F5FB F5F6 F6F7 FF00 0000"
		$"F500 F5F5 00F5 F500 F5F5 00FF FFFF FFFF"
		$"FFF6 F6F5 F6F5 F62B F7F7 F72B FF00 0000"
		$"F5FF FFF5 FFFF 00FF FFF5 F5F5 00F5 00F5"
		$"F5FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
		$"FFF5 00FF F500 FFF5 00FF FFFF F5FF FFF5"
		$"F500 F500 F5F5 00F5 F500 F5F5 00F5 00FF",
		/* [6] */
		'il32',
		$"82FF 8700 92FF 0300 CECE 0084 E685 0089"
		$"FF03 00CE CE00 8DE6 8000 86FF 0500 CECE"
		$"00E6 E680 7A02 E67A 7A88 E680 0082 FF03"
		$"00CE CE00 8FE6 00FF 81E6 0000 81FF 0300"
		$"CECE 0080 E683 0086 E602 FF00 0080 E600"
		$"0080 FF06 00CE CE00 E6E6 0083 B185 0081"
		$"E60C 0000 E6E6 00FF 00CE CE00 E6E6 0082"
		$"B182 8E04 6B8E 8E6B 6B80 0082 E608 00FF"
		$"00CE CE00 E6E6 0081 B182 8E01 6B25 808E"
		$"806B 0248 0000 80E6 0800 FF00 CECE 00E6"
		$"E600 80B1 008E 836B 0148 0080 8E80 6B11"
		$"4848 00E6 E600 FF00 CECE 00E6 E600 B1B1"
		$"4848 8425 0000 846B 0D48 00E6 E600 00CE"
		$"CE00 E6E6 00B1 B188 0080 2510 4848 6B6B"
		$"4800 E6E6 0000 CECE 00E6 E600 B180 8E06"
		$"00DA FFFF 0000 FF85 000D 6B48 00E6 E600"
		$"00CE CE00 E6E6 00B1 808E 0100 DA82 FF14"
		$"00FF FF00 00FF 006B 6B48 00E6 E600 00CE"
		$"CE00 E6E6 0081 8E02 00C0 DA81 FF00 0082"
		$"FF0E 006B 6B48 00E6 E600 00CE CE00 E6E6"
		$"0082 8E07 00C0 DADA C000 8E00 80FF 0000"
		$"806B 0B48 00E6 E600 00CE CE00 E6E6 0083"
		$"8E81 0080 8E80 0081 6B0B 4800 E6E6 0000"
		$"CECE 00E6 E600 828E 8C6B 0B48 00E6 E600"
		$"00CE 00E6 E600 6B80 8E8D 6B0B 4848 00E6"
		$"E600 00CE 00E6 E600 808E 8E6B 0E48 00E6"
		$"E600 FF00 CE00 E6E6 008E 6B6B 8700 846B"
		$"0D48 00E6 E600 FF00 CE00 E6E6 008E 6B81"
		$"0000 4880 0001 4848 8200 806B 0B48 00E6"
		$"E600 FF00 CE00 E6E6 0080 6B1D 4800 486B"
		$"4800 486B 6B48 0000 4800 006B 6B48 00E6"
		$"E600 FFFF 00CE 00E6 E600 806B 0048 806B"
		$"0048 816B 1000 4848 0048 6B48 4800 E6E6"
		$"00FF FF00 CE00 80E6 8200 846B 0248 6B6B"
		$"8148 0300 E6E6 0081 FF02 00CE 0084 E683"
		$"0080 6B81 4804 0000 E6E6 0081 FF03 00CE"
		$"00C2 89E6 8500 80E6 0000 82FF 0400 CE00"
		$"C2C2 85E6 0000 88E6 03C2 00FF FF88 0085"
		$"E604 62E6 62E6 6280 E601 C200 80FF 88F2"
		$"8300 83E6 82C2 0000 80FF 08F2 0000 F200"
		$"00F2 0000 85F2 8B00 09FF 00F2 F200 F2F2"
		$"00F2 F280 0002 F200 008D F200 0082 FF87"
		$"0092 FF03 00CE CE00 84E6 8500 89FF 0300"
		$"CECE 008D E680 0086 FF05 00CE CE00 E6E6"
		$"807A 02E6 7A7A 88E6 8000 82FF 0300 CECE"
		$"008F E600 0081 E600 0081 FF03 00CE CE00"
		$"80E6 8300 86E6 8000 80E6 0000 80FF 0600"
		$"CECE 00E6 E600 83E2 8500 81E6 0C00 00E6"
		$"E600 FF00 CECE 00E6 E600 82E2 82D4 04C6"
		$"D4D4 C6C6 8000 82E6 0800 FF00 CECE 00E6"
		$"E600 81E2 82D4 01C6 AA80 D480 C602 B800"
		$"0080 E608 00FF 00CE CE00 E6E6 0080 E200"
		$"D483 C601 B892 80D4 80C6 11B8 B800 E6E6"
		$"00FF 00CE CE00 E6E6 00E2 E2B8 B884 AA00"
		$"9284 C60F B800 E6E6 0000 CECE 00E6 E600"
		$"E2E2 923D 8400 0192 9280 AA10 B8B8 C6C6"
		$"B800 E6E6 0000 CECE 00E6 E600 E280 D406"
		$"00DA FFFF 0000 FF84 000E 3DC6 B800 E6E6"
		$"0000 CECE 00E6 E600 E280 D401 00DA 82FF"
		$"1400 FFFF 0000 FF00 C6C6 B800 E6E6 0000"
		$"CECE 00E6 E600 81D4 0200 C0DA 81FF 0000"
		$"82FF 0E00 C6C6 B800 E6E6 0000 CECE 00E6"
		$"E600 82D4 0700 C0DA DAC0 00D4 0080 FF00"
		$"0080 C60B B800 E6E6 0000 CECE 00E6 E600"
		$"83D4 8100 80D4 8000 81C6 0BB8 00E6 E600"
		$"00CE CE00 E6E6 0082 D48C C60B B800 E6E6"
		$"0000 CE00 E6E6 00C6 80D4 8DC6 0BB8 B800"
		$"E6E6 0000 CE00 E6E6 0080 D48E C60E B800"
		$"E6E6 00FF 00CE 00E6 E600 D4C6 C687 0084"
		$"C618 B800 E6E6 00FF 00CE 00E6 E600 D4C6"
		$"00AA 92AA B8AA 92AA B8B8 AA81 0080 C60B"
		$"B800 E6E6 00FF 00CE 00E6 E600 80C6 1DB8"
		$"AAB8 C6B8 AAB8 C6C6 B892 AAB8 9200 C6C6"
		$"B800 E6E6 00FF FF00 CE00 E6E6 0080 C600"
		$"B880 C600 B881 C610 AAB8 B8AA B8C6 B8B8"
		$"00E6 E600 FFFF 00CE 0080 E682 0084 C602"
		$"B8C6 C681 B803 00E6 E600 81FF 0200 CE00"
		$"84E6 8300 80C6 81B8 04AA 00E6 E600 81FF"
		$"0300 CE00 C289 E685 0080 E600 0082 FF04"
		$"00CE 00C2 C285 E600 0088 E603 C200 FFFF"
		$"8800 85E6 0462 E662 E662 80E6 01C2 0080"
		$"FF88 F283 0083 E682 C200 0080 FF08 F200"
		$"00F2 0000 F200 0085 F28B 0009 FF00 F2F2"
		$"00F2 F200 F2F2 8000 02F2 0000 8DF2 0000"
		$"82FF 8700 92FF 0300 CECE 0084 E685 0089"
		$"FF03 00CE CE00 8DE6 8000 86FF 0500 CECE"
		$"00E6 E680 7A02 E67A 7A88 E680 0082 FF03"
		$"00CE CE00 8FE6 0000 81E6 0000 81FF 0300"
		$"CECE 0080 E683 0086 E680 0080 E600 0080"
		$"FF06 00CE CE00 E6E6 0083 FF85 0081 E60C"
		$"0000 E6E6 00FF 00CE CE00 E6E6 008C FF80"
		$"0082 E608 00FF 00CE CE00 E6E6 008F FF01"
		$"0000 80E6 0800 FF00 CECE 00E6 E600 88FF"
		$"00DC 85FF 0B00 E6E6 00FF 00CE CE00 E6E6"
		$"0088 FF00 DC85 FF0E 00E6 E600 00CE CE00"
		$"E6E6 00FF FFDC B984 0001 DCDC 85FF 0A00"
		$"E6E6 0000 CECE 00E6 E600 81FF 0600 DAFF"
		$"FF00 00FF 8400 0DB9 FFFF 00E6 E600 00CE"
		$"CE00 E6E6 0081 FF01 00DA 82FF 0600 FFFF"
		$"0000 FF00 80FF 0A00 E6E6 0000 CECE 00E6"
		$"E600 81FF 0200 C0DA 81FF 0000 82FF 0000"
		$"80FF 0A00 E6E6 0000 CECE 00E6 E600 82FF"
		$"0700 C0DA DAC0 00FF 0080 FF00 0081 FF0A"
		$"00E6 E600 00CE CE00 E6E6 0083 FF81 0080"
		$"FF80 0082 FF0A 00E6 E600 00CE CE00 E6E6"
		$"0092 FF09 00E6 E600 00CE 00E6 E600 93FF"
		$"0900 E6E6 0000 CE00 E6E6 0092 FF0A 00E6"
		$"E600 FF00 CE00 E6E6 0080 FF87 0085 FF0F"
		$"00E6 E600 FF00 CE00 E6E6 00FF FF00 FFDC"
		$"80FF 00DC 81FF 8100 81FF 0A00 E6E6 00FF"
		$"00CE 00E6 E600 8AFF 04DC FFFF DC00 80FF"
		$"0B00 E6E6 00FF FF00 CE00 E6E6 0091 FF08"
		$"00E6 E600 FFFF 00CE 0080 E682 008B FF03"
		$"00E6 E600 81FF 0200 CE00 84E6 8300 85FF"
		$"0300 E6E6 0081 FF03 00CE 00C2 89E6 8500"
		$"80E6 0000 82FF 0400 CE00 C2C2 85E6 0000"
		$"88E6 03C2 00FF FF88 0085 E604 62E6 62E6"
		$"6280 E601 C200 80FF 88F2 8300 83E6 82C2"
		$"0000 80FF 08F2 0000 F200 00F2 0000 85F2"
		$"8B00 09FF 00F2 F200 F2F2 00F2 F280 0002"
		$"F200 008D F200 00"
	}
};

resource 'icns' (1001) {
	{	/* array elementArray: 6 elements */
		/* [1] */
		'ics#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 07F0 3FFF 7FFF 7FFF 7FFF 7FFF 7FFF"
		$"3FFF 7FFF FFFF FFFE FFFC 7FF0 0000 0000",
		/* [2] */
		'ics8',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 00FF FFFF FFFF FFFF 0000 0000"
		$"0000 FFFF FF00 0000 0000 0000 FFFF FFFF"
		$"00FF F6FF 0000 FF00 0000 FF00 00FF F7FF"
		$"00FF F6FF 0000 0000 0000 0000 00FF F8FF"
		$"00FF F7F6 FF00 0000 0000 0000 FFF7 56FF"
		$"00FF F8F7 F6FF FFFF FFFF FFFF F756 FFFF"
		$"00FF 0000 0000 0000 0000 0000 FFFF FFFF"
		$"0000 FFFF FFFF FFFF FFFF FFFF 2300 00FF"
		$"00FF FF0A 0909 00FF 0A0A 0A35 FF00 56FF"
		$"FFFF 23F5 F501 090A 0A0A 0AFF 00F7 81FF"
		$"FFF6 FFFF FFFF FFFF FFFF FF00 F781 FF00"
		$"FFF6 F6F6 56F6 F6F6 F6F6 F6F9 FFFF 0000"
		$"00FF FFFF FFFF FFFF FFFF FFFF 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000",
		/* [3] */
		'is32',
		$"92FF 8400 83FF 8000 84FF 8100 06FF 00DF"
		$"00FF FF00 80FF 0900 FFFF 00BF 00FF 00DF"
		$"0086 FF07 00BF 00FF 00BF DF00 84FF 0800"
		$"BF9F 00FF 00BF BFDF 8400 05BF 9F00 00FF"
		$"0087 FF81 0001 FFFF 8700 80FF 0300 FF00"
		$"0081 FF07 00FF FFEF CF00 FF9F 8000 00FF"
		$"80EF 01FF EF80 FF06 00FF BF6F 0000 DF86"
		$"0005 FFBF 6F00 FF00 80DF 009F 83DF 028F"
		$"0000 80FF 8800 A1FF 92FF 8400 83FF 8000"
		$"84FF 8100 06FF 00D7 00FF FF00 80FF 0900"
		$"FFFF 00BF 00FF 00D7 0086 FF07 00BF 00FF"
		$"00BF D700 84FF 0800 BF9F 00FF 00BF BFD7"
		$"8400 05BF 9F00 00FF 0087 FF81 0001 FFFF"
		$"8800 05FF FF00 FF00 0080 DF08 FF00 DFDF"
		$"BF8F 00FF 9F81 0080 EF01 DFC7 80DF 0600"
		$"FFBF 6F00 00D7 8600 05FF BF6F 00FF 0080"
		$"D700 9F83 D702 8F00 0080 FF88 00A1 FF92"
		$"FF84 0083 FF80 0084 FF81 0006 FF00 DF00"
		$"FFFF 0080 FF09 00FF FF00 BF00 FF00 DF00"
		$"86FF 0700 BF00 FF00 BFDF 0084 FF08 00BF"
		$"9F00 FF00 BFBF DF84 0005 BF9F 0000 FF00"
		$"87FF 8100 01FF FF88 0011 FFFF 00FF 0000"
		$"3F6F 6FFF 003F 3F2F 0F00 FF9F 8100 04BF"
		$"EFBF 6F2F 803F 0600 FFBF 6F00 00DF 8600"
		$"05FF BF6F 00FF 0080 DF00 9F83 DF02 8F00"
		$"0080 FF88 00A1 FF",
		/* [4] */
		'ICN#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 000E 3C00"
		$"003F 7F00 007F FF80 0FFF FFFE 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 0FFF FFFF 0FFF FFFF"
		$"07FF FFFF 0FFF FFFF 1FFF FFFF 3FFF FFFF"
		$"7FFF FFFE 7FFF FFFE FFFF FFFC FFFF FFF8"
		$"FFFF FFF0 FFFF FFE0 7FFF FFC0 07FF FF80"
		$"0003 FF00 0000 0000 0000 0000 0000 0000",
		/* [5] */
		'icl8',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 FFFF FF00"
		$"0000 FFFF FFFF 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 FFFF 0000 00FF"
		$"00FF 0000 0000 FFFF 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0000 0000 0000"
		$"FF00 0000 0000 0000 FF00 0000 0000 0000"
		$"0000 0000 FFFF FFFF FFFF 0000 0000 0000"
		$"FF00 0000 0000 0000 FFFF FFFF FFFF FF00"
		$"0000 00FF F6F6 F6F6 FF00 0000 F9FF 0000"
		$"FF00 0000 00F9 FF00 00FF F6F6 F6F7 F8FF"
		$"0000 00FF F6F6 F6F6 FF00 0000 FFFF 0000"
		$"FF00 0000 00FF FF00 00FF F6F6 2BF7 56FF"
		$"0000 00FF F6F6 F6F6 FF00 0000 0000 0000"
		$"FF00 0000 0000 0000 00FF F6F7 F7F7 F8FF"
		$"0000 00FF 2BF6 F6F6 F6FF 0000 0000 0000"
		$"FF00 0000 0000 0000 FFF6 F62B F7F8 56FF"
		$"0000 00FF F7F7 F7F6 F6FF 0000 0000 0000"
		$"FF00 0000 0000 0000 FFF6 F7F7 F856 81FF"
		$"0000 00FF 2BB9 9B2B F6F6 FF00 0000 00FF"
		$"F6FF 0000 0000 FFFF F62B F756 5681 81FF"
		$"0000 00FF F7F7 2BF7 F7F6 F6FF FFFF FFF6"
		$"F6F6 FFFF FFFF F62B F7F7 F856 F8FF FFFF"
		$"0000 0000 FFFF FFFF FF2B F7F6 F6F6 F6F6"
		$"F6F6 F6F6 F6F6 F7F7 FFFF FFFF FF00 00FF"
		$"0000 0000 FF00 F700 2BFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF 002B 0000 00FF FFFF"
		$"0000 0000 00FF FF00 F700 00F7 0000 002B"
		$"0000 00F7 0000 2B00 00FF FFFF FF00 00FF"
		$"0000 0000 FFFF 00FF FFFF FFFF 0000 00FF"
		$"0000 00FF FFFF FFFF FF23 FF00 FF00 FFFF"
		$"0000 00FF 0000 FF0A 0A0A 0A0A FFFF FFFF"
		$"FFFF FF35 3535 35FF 23FF 0000 00FF F8FF"
		$"0000 FFFF 00FF 0A0A 0A03 0303 0100 FFFF"
		$"000A 0A0A 0A0A 0A35 FFFF 0000 FF56 81FF"
		$"00FF 0000 FFFF 0303 0301 0100 F503 0000"
		$"0A0A 0A0A 0A0A 0A0A FF00 FFFF 2B56 FF00"
		$"00FF 00FF 2323 FF01 0100 F501 0303 340A"
		$"0A0A 0A0A 0A0A 0AFF 0000 FF2B 5681 FF00"
		$"FFFF FFFF FF23 23FF FFFF 0103 0A34 3434"
		$"0A0A 0A0A FFFF FF00 FFFF 2B56 81FF 0000"
		$"FFF6 F6F6 F6FF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF 23FF 0000 FF2B 5681 FF00 0000"
		$"FFF6 F856 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
		$"FFFF FFFF FFFF FFFF 2B56 81FF 0000 0000"
		$"FFF6 F6F6 F6F6 F6F6 56F8 56F6 F6F6 F6F6"
		$"F6F6 F6F6 F6F6 F656 5681 FF00 0000 0000"
		$"00FF FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6"
		$"F6F6 F6FF FFF6 F681 81FF 0000 0000 0000"
		$"0000 0000 00FF FFFF FFFF FFFF FFFF F6F6"
		$"F6F6 F6F6 F6F6 F681 FF00 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 FFFF"
		$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000",
		/* [6] */
		'il32',
		$"E9FF 8000 80FF 8100 91FF 0700 00FF FFE6"
		$"00FF 0080 FF02 E600 008E FF00 0082 FF01"
		$"E600 82FF 02E6 DA00 88FF 8300 82FF 01E6"
		$"0083 FF00 E684 0081 FF00 0081 DA00 0080"
		$"FF04 8000 FFE6 0081 FF0A 8000 FFDA 00C0"
		$"DADA C0A0 0080 FF00 0081 DA00 0080 FF04"
		$"0000 FFE6 0081 FF0A 0000 FFDA 00C0 DAC0"
		$"C0A0 0080 FF00 0081 DA00 0083 FF01 E600"
		$"84FF 01DA 0081 C001 A000 80FF 0100 C081"
		$"DA00 0081 FF02 E6E6 0083 FF01 E600 81C0"
		$"02A0 A000 80FF 0000 80C0 02DA DA00 82E6"
		$"01DA 0083 E601 DA00 80C0 03A0 A06E 0080"
		$"FF07 00C0 0049 C0DA DA00 81DA 0200 C000"
		$"81DA 0100 0080 C004 A0A0 6E6E 0080 FF00"
		$"0082 C001 DADA 8100 02C0 C0DA 8100 81C0"
		$"80A0 8000 81FF 8200 84C0 80DA 82C0 8200"
		$"02FF FF00 81FF 0400 FFC0 FFC0 8C00 01FF"
		$"C080 FF80 0082 FF06 0000 FFC0 FFFF C080"
		$"FF00 C080 FF05 C0FF FFC0 FFFF 8100 02FF"
		$"FF00 81FF 0200 00FF 8200 80FF 0000 80FF"
		$"8300 06FF 00FF 00FF 0000 80FF 0500 FFFF"
		$"00E8 E880 FF84 0081 CB02 00FF 0080 FF08"
		$"00A0 00FF FF00 00FF 0080 FF80 FC03 F6FF"
		$"0000 81FF 80E8 0ECB 0000 FFFF 00A0 6E00"
		$"FF00 FFFF 0000 80FC 07F6 F6F2 F2FC FFFF"
		$"EE83 FF19 E800 FF00 00C0 A000 FFFF 00FF"
		$"00FF FF00 F6F6 F2F2 F6FC FCDC EEEE 83FF"
		$"0800 FFFF 00C0 A06E 00FF 8200 01FF FF80"
		$"0002 F6FC FF80 DC03 EEEE FFFF 8000 09FF"
		$"0000 C0A0 6E00 FFFF 0081 DA8C 0008 FF00"
		$"FFFF 00C0 A06E 0080 FF03 00DA A0A0 87DA"
		$"8700 03C0 A06E 0081 FF00 0084 DA80 A089"
		$"DA03 92A0 6E00 83FF 8100 8BDA 0600 00DA"
		$"DA6E 6E00 88FF 8600 86DA 0162 0092 FF87"
		$"00E5 FFE9 FF80 0080 FF81 0091 FF07 0000"
		$"FFFF E600 FF00 80FF 02E6 0000 8EFF 0000"
		$"82FF 01E6 0082 FF02 E6DA 0088 FF83 0082"
		$"FF01 E600 83FF 00E6 8400 81FF 0000 81DA"
		$"0000 80FF 0480 00FF E600 81FF 0A80 00FF"
		$"DA00 C0DA DAC0 A000 80FF 0000 81DA 0000"
		$"80FF 0400 00FF E600 81FF 0A00 00FF DA00"
		$"C0DA C0C0 A000 80FF 0000 81DA 0000 83FF"
		$"01E6 0084 FF01 DA00 81C0 01A0 0080 FF01"
		$"00C0 81DA 0000 81FF 02E6 E600 83FF 01E6"
		$"0081 C002 A0A0 0080 FF00 0080 C002 DADA"
		$"0082 E601 DA00 83E6 01DA 0080 C003 A0A0"
		$"6E00 80FF 0700 C0FF DCC0 DADA 0081 DA02"
		$"00C0 0081 DA01 0000 80C0 04A0 A06E 6E00"
		$"80FF 0000 82C0 01DA DA81 0002 C0C0 DA81"
		$"0081 C080 A080 0081 FF82 0084 C080 DA82"
		$"C082 0002 FFFF 0081 FF04 00FF C0FF C08C"
		$"0001 FFC0 80FF 8000 82FF 0600 00FF C0FF"
		$"FFC0 80FF 00C0 80FF 05C0 FFFF C0FF FF81"
		$"0002 FFFF 0081 FF02 0000 FF82 0080 FF00"
		$"0080 FF85 0004 FF00 FF00 0080 FF05 00FF"
		$"FF00 BCBC 80DD 8400 8193 8000 80FF 0800"
		$"A000 FFFF 0000 FF00 80DD 80E2 04EC FF00"
		$"00FF 80DD 80BC 0E93 0000 FFFF 00A0 6E00"
		$"FF00 FFFF 0000 80E2 07EC ECF2 F2E2 FFFF"
		$"C583 DD0B BC00 FF00 00C0 A000 FFFF 00FF"
		$"8100 09EC ECF2 F2EC E2E2 ACC5 C583 DD08"
		$"00FF FF00 C0A0 6E00 FF87 0002 ECE2 DD80"
		$"AC03 C5C5 DDDD 8000 09FF 0000 C0A0 6E00"
		$"FFFF 0081 DA8E 0006 FFFF 00C0 A06E 0080"
		$"FF03 00DA A0A0 87DA 8700 03C0 A06E 0081"
		$"FF00 0084 DA80 A089 DA03 92A0 6E00 83FF"
		$"8100 8BDA 0600 00DA DA6E 6E00 88FF 8600"
		$"86DA 0162 0092 FF87 00E5 FFE9 FF80 0080"
		$"FF81 0091 FF07 0000 FFFF E600 FF00 80FF"
		$"02E6 0000 8EFF 0000 82FF 01E6 0082 FF02"
		$"E6DA 0088 FF83 0082 FF01 E600 83FF 00E6"
		$"8400 81FF 0000 81DA 0000 80FF 0480 00FF"
		$"E600 81FF 0A80 00FF DA00 C0DA DAC0 A400"
		$"80FF 0000 81DA 0000 80FF 0400 00FF E600"
		$"81FF 0A00 00FF DA00 C0DA C0C0 A400 80FF"
		$"0000 81DA 0000 83FF 01E6 0084 FF01 DA00"
		$"81C0 01A4 0080 FF01 00C0 81DA 0000 81FF"
		$"02E6 E600 83FF 01E6 0081 C002 A4A4 0080"
		$"FF00 0080 C002 DADA 0082 E601 DA00 83E6"
		$"01DA 0080 C003 A4A4 6E00 80FF 0700 C000"
		$"00C0 DADA 0081 DA02 00C0 0081 DA01 0000"
		$"80C0 04A4 A46E 6E00 80FF 0000 82C0 01DA"
		$"DA81 0002 C0C0 DA81 0081 C080 A480 0081"
		$"FF82 0084 C080 DA82 C082 0002 FFFF 0081"
		$"FF04 00FF C0FF C08C 0001 FFC0 80FF 8000"
		$"82FF 0600 00FF C0FF FFC0 80FF 00C0 80FF"
		$"05C0 FFFF C0FF FF81 0002 FFFF 0081 FF02"
		$"0000 FF82 0080 FF00 0080 FF85 0004 FF00"
		$"FF00 0080 FF05 00FF FF00 2A2A 803F 8400"
		$"8110 8000 80FF 0800 A400 FFFF 0000 FF00"
		$"803F 806B 04C5 FF00 00FF 803F 802A 0E10"
		$"0000 FFFF 00A4 6E00 FF00 FFFF 0000 806B"
		$"07C5 C5F2 F26B FFFF 3083 3F0B 2A00 FF00"
		$"00C0 A400 FFFF 00FF 8100 09C5 C5F2 F2C5"
		$"6B6B 2030 3083 3F08 00FF FF00 C0A4 6E00"
		$"FF87 0002 C56B 3F80 2003 3030 3F3F 8000"
		$"09FF 0000 C0A4 6E00 FFFF 0081 DA8E 0006"
		$"FFFF 00C0 A46E 0080 FF03 00DA A4A4 87DA"
		$"8700 03C0 A46E 0081 FF00 0084 DA80 A489"
		$"DA03 92A4 6E00 83FF 8100 8BDA 0600 00DA"
		$"DA6E 6E00 88FF 8600 86DA 0162 0092 FF87"
		$"00E5 FF"
	}
};

resource 'icns' (1002) {
	{	/* array elementArray: 6 elements */
		/* [1] */
		'ics#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"03C0 0FE0 3FFC 7FFE FFFE FFFF BFFA 3FF8"
		$"3FF8 7FFC 7FFC 7FFC 7FFC 7FFC 3FF8 1FF0",
		/* [2] */
		'ics8',
		$"0000 0000 0000 F5F8 F7FF 0000 0000 0000"
		$"0000 0000 FFFF FFFF FFFF FF00 0000 0000"
		$"0000 FFFF F6F6 F6F6 F6F6 F6FF FFFF 0000"
		$"00FF F6F7 F8F5 F8F5 F8F8 F856 F8F6 FF00"
		$"FFFF F756 F8FF FFFF FFFF FFF8 5656 FF00"
		$"F7FF FFFF FFFF FFF7 FFFF F7FF FFFF F7FF"
		$"FF00 FFF7 FF00 00FF 0000 FFF7 FF00 FF00"
		$"0000 FFF8 FF00 FFFF FF00 FFF8 FF00 0000"
		$"0000 FFF7 FF00 00FF 0000 FFF7 FF00 0000"
		$"00FF F5FF F7FF FFF7 FFFF F7FF F7FF 0000"
		$"00FF F8F6 FFF7 F8F8 F7F8 FFF7 F8FF 0000"
		$"00FF F7F7 F6FF FFFF FFFF F6F8 F7FF 0000"
		$"00FF F8F8 F8F8 F5F6 F6F7 56F8 F8FF 0000"
		$"00FF F7F7 56F8 5656 5656 F8F8 F7FF 0000"
		$"0000 FFF8 F756 2B2B 2B2B 56F7 FF00 0000"
		$"0000 00FF FFFF FFFF FFFF FFFF 0000 0000",
		/* [3] */
		'is32',
		$"83FF 03DF BFBF 0087 FF84 0084 FF01 0000"
		$"84DF 8000 80FF 0800 DFBF BFDF BFDF AFBF"
		$"80AF 07DF 00FF 0000 BFAF AF83 0080 AF02"
		$"00FF BF83 0003 BF00 00BF 8000 10BF 0000"
		$"FF00 BF00 FFFF 00FF FF00 BF00 FF00 80FF"
		$"0300 BF00 FF80 0003 FF00 BF00 82FF 0A00"
		$"BF00 FFFF 00FF FF00 BF00 81FF 0C00 DF00"
		$"BF00 00BF 0000 BF00 BF00 80FF 0300 BFDF"
		$"0082 BF03 00BF BF00 80FF 0300 BFBF DF82"
		$"0003 DFBF BF00 80FF 0400 BFBF AFBF 80DF"
		$"04BF AFAF BF00 80FF 0200 BFBF 81AF 059F"
		$"AFAF BFBF 0081 FF03 00BF BFAF 81CF 02AF"
		$"BF00 83FF 8600 81FF 83FF 03E7 BFBF 0087"
		$"FF84 0084 FF01 0000 84D7 8000 80FF 0800"
		$"D7BF BFE7 BFE7 B7BF 80B7 07D7 00FF 0000"
		$"BFA7 A783 0005 A7A7 B700 FFBF 8300 03BF"
		$"0000 BF80 0010 BF00 00FF 00BF 00FF FF00"
		$"FFFF 00BF 00FF 0080 FF03 00BF 00FF 8000"
		$"03FF 00BF 0082 FF0A 00BF 00FF FF00 FFFF"
		$"00BF 0081 FF0C 00E7 00BF 0000 BF00 00BF"
		$"00BF 0080 FF03 00BF D700 82BF 0300 BFBF"
		$"0080 FF03 00BF BFD7 8200 03D7 BFBF 0080"
		$"FF04 00BF BFA7 BF80 D704 BFA7 B7BF 0080"
		$"FF03 00BF BFB7 80A7 059F A7B7 BFBF 0081"
		$"FF03 00BF BFB7 81CF 02B7 BF00 83FF 8600"
		$"81FF 83FF 03DF BFBF 0087 FF84 0084 FF01"
		$"0000 84DF 8000 80FF 0800 DFBF BFDF BFDF"
		$"AFBF 80AF 07DF 00FF 0000 BFAF AF83 0080"
		$"AF02 00FF BF83 0003 BF00 00BF 8000 10BF"
		$"0000 FF00 BF00 FFFF 00FF FF00 BF00 FF00"
		$"80FF 0300 BF00 FF80 0003 FF00 BF00 82FF"
		$"0A00 BF00 FFFF 00FF FF00 BF00 81FF 0C00"
		$"DF00 BF00 00BF 0000 BF00 BF00 80FF 0300"
		$"BFDF 0082 BF03 00BF BF00 80FF 0300 BFBF"
		$"DF82 0003 DFBF BF00 80FF 0400 BFBF AFBF"
		$"80DF 04BF AFAF BF00 80FF 0200 BFBF 81AF"
		$"059F AFAF BFBF 0081 FF03 00BF BFAF 81CF"
		$"02AF BF00 83FF 8600 81FF",
		/* [4] */
		'ICN#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0007 E000 000F F000 00FF FF00 07FF FFE0"
		$"0FFF FFF0 0FFF FFF0 1FFF FFF8 1FFF FFF8"
		$"1FFF FFF8 1FFF FFF8 7FFF FFFE FFFF FFFF"
		$"FFFF FFFF 67FF FFE6 07FF FFE0 07FF FFE0"
		$"07FF FFE0 07FF FFE0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 07FF FFE0 03FF FFC0 00FF FF00",
		/* [5] */
		'icl8',
		$"0000 0000 0000 0000 0000 0000 00FF FFFF"
		$"FFFF FF00 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 FFF5 F62B"
		$"F7F7 2BFF 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"
		$"0000 0000 00FF FFFF F7F7 F5F6 F5F6 F5F7"
		$"2BF6 F5F7 2BF7 F72B FFFF FF00 0000 0000"
		$"0000 0000 FF2B F6F5 F7FF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFF7 F72B F7FF 0000 0000"
		$"0000 0000 FFFF FFFF FFF6 F6F6 F6F6 F6F6"
		$"F6F6 F6F6 F6F6 F6FF FFFF FFFF 0000 0000"
		$"0000 00FF FFF6 F6F6 F6F6 2BF6 2BF7 00F5"
		$"F7F7 F72B F8F7 F6F6 F6F6 F6FF FF00 0000"
		$"0000 00FF F6F6 F6F7 2BF7 F7F5 F7F7 F5F6"
		$"2BF8 F7F7 F7F8 2BF8 F7F8 F7F6 FF00 0000"
		$"0000 00FF F6F6 2BF7 F72B F7F6 F72B F6F6"
		$"F7F7 F7F7 F8F7 F7F7 F8F7 F8F7 FF00 0000"
		$"0000 00FF F72B 5656 F856 FFFF FFFF FFFF"
		$"FFFF FFFF FFFF F856 5656 F8F8 FF00 0000"
		$"00FF FFFF F856 FFFF FFFF F9FA F9FA F9FA"
		$"F9FA F9F9 FAF9 FFFF FFFF 56F8 FFFF FF00"
		$"FFF7 F72B FFFF F9FA F9FA F72B F72B F72B"
		$"F7F7 2BF7 F72B FAF9 FAF9 FFFF F7F7 2BFF"
		$"FF2B F7FF FFFF FA2B F72B F7FF FFFF 2BF7"
		$"2BF7 FFFF FFF7 2BF7 2BFA FFFF FF2B F7FF"
		$"00FF FF00 00FF 2BF7 2BF7 FF00 0000 FFF7"
		$"F7FF 0000 00FF F7F7 F72B FF00 00FF FF00"
		$"0000 0000 00FF F7F7 F7FF 0000 0000 00FF"
		$"FF00 0000 0000 FF2B F7F7 FF00 0000 0000"
		$"0000 0000 00FF 2BF7 2BFF 0000 F9FF 00FF"
		$"FF00 F9FF 0000 FFF7 2BF7 FF00 0000 0000"
		$"0000 0000 00FF F72B F7FF 0000 FFFF 00FF"
		$"FF00 FFFF 0000 FFF7 F72B FF00 0000 0000"
		$"0000 0000 00FF 2BF7 F7FF 0000 0000 00FF"
		$"FF00 0000 0000 FFF7 2BF6 FF00 0000 0000"
		$"0000 0000 FFF5 F6F7 2BF7 FF00 0000 FF2B"
		$"F7FF 0000 00FF 2BF7 F72B F6FF 0000 0000"
		$"0000 0000 FFF6 F7FF F7F7 2BFF FFFF F7F7"
		$"F72B FFFF FFF7 F72B FFF7 2BFF 0000 0000"
		$"0000 0000 FF2B FFF6 FF2B F7F7 2BF7 2BF7"
		$"2BF7 F72B F72B F7FF F6FF F7FF 0000 0000"
		$"0000 0000 FFF7 FFF6 F5FF FF2B F7F7 F72B"
		$"F7F7 F7F7 2BFF FFF5 F6FF 2BFF 0000 0000"
		$"0000 0000 FF2B FAF7 F6F5 F6FF FF2B F7F7"
		$"F72B F7FF FFF5 F6F6 F7F9 F7FF 0000 0000"
		$"0000 0000 FFF7 F72B F7F6 F6F6 F5FF FFFF"
		$"FFFF FFF6 F5F6 F6F7 2BF7 F7FF 0000 0000"
		$"0000 0000 FF2B F7F7 F8F7 F7F6 F6F5 00F6"
		$"0000 F5F6 F6F7 F7F8 F7F7 2BFF 0000 0000"
		$"0000 0000 FFF7 2BF7 F8F8 562B F7F6 F6F6"
		$"F6F6 F6F7 F756 F8F8 F72B F7FF 0000 0000"
		$"0000 0000 FFF7 F72B F8F8 F856 56F7 2BF7"
		$"F72B F756 F856 F7F8 2BF7 F7FF 0000 0000"
		$"0000 0000 FFF7 2BF7 F7F7 F8F8 56F8 56F8"
		$"5656 56F8 56F7 F82B F7F7 2BFF 0000 0000"
		$"0000 0000 FF2B F7F7 2BF7 F7F8 F756 5656"
		$"5656 56F7 F8F8 2BF7 F7F7 F7FF 0000 0000"
		$"0000 0000 00FF F72B F7F7 F7F7 F82B 2B2B"
		$"F72B 2B2B F7F7 F7F7 F72B FF00 0000 0000"
		$"0000 0000 0000 FFFF 2BF7 F7F8 F72B 2B2B"
		$"F72B 2BF7 F8F7 F72B FFFF 0000 0000 0000"
		$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000",
		/* [6] */
		'il32',
		$"8AFF 8300 96FF 0200 E6E6 81C0 0000 91FF"
		$"8D00 8AFF 8000 01C0 C082 E603 C0C0 E6E6"
		$"82C0 8000 86FF 0400 C0E6 E6C0 8B00 81C0"
		$"0000 85FF 8200 8BDA 8200 84FF 0100 0082"
		$"DA0B C0E6 C0C0 FFE6 C0B6 C0C0 B6B6 82DA"
		$"0100 0083 FF00 0080 DA81 C00B E6C0 C0E6"
		$"E6C0 B6C0 C0B6 B6C0 81B6 01DA 0083 FF02"
		$"00DA DA82 C00B E6C0 C0E6 E6C0 B6C0 C0B6"
		$"B6C0 82B6 0000 83FF 0200 C0C0 81AA 8900"
		$"82AA 01B6 0081 FF80 0001 AAAA 8100 8986"
		$"8100 01AA AA80 0001 FF00 80C0 0100 0081"
		$"8689 C081 8601 0000 80C0 0300 00C0 C080"
		$"0000 8681 C080 0081 C080 0081 C000 8680"
		$"0008 C0C0 00FF 0000 FFFF 0081 C00B 00FF"
		$"FFF2 00C0 C000 FFFF F200 81C0 0400 FFFF"
		$"0000 83FF 0000 80C0 0000 80FF 03F2 E600"
		$"0080 FF02 F2E6 0080 C000 0087 FF00 0080"
		$"C00D 00FF FF80 00E6 0000 FF80 00F2 E600"
		$"80C0 0000 87FF 0000 80C0 0D00 FFFF 0000"
		$"E600 00FF 0000 F2E6 0080 C000 0087 FF00"
		$"0080 C000 0081 F202 E600 0081 F205 E600"
		$"C0C0 E600 86FF 0200 E6E6 80C0 0000 80E6"
		$"0300 C0C0 0080 E600 0081 C001 E600 85FF"
		$"0300 E6C0 0080 C080 0081 C080 0080 C003"
		$"00C0 C000 85FF 0400 C000 DA00 8BC0 0400"
		$"DA00 C000 85FF 0600 C000 DAE6 0000 87C0"
		$"0600 00E6 DA00 C000 85FF 0800 C086 C0DA"
		$"E6E6 0000 83C0 0800 00E6 E6DA C086 C000"
		$"85FF 0000 81C0 03DA DAE6 E683 0003 E6E6"
		$"DADA 81C0 0000 85FF 0000 80C0 0FAA C0C0"
		$"DADA E6FF E6FF FFE6 DADA C0C0 AA80 C000"
		$"0085 FF00 0080 C004 B6AA AAC0 C083 DA04"
		$"C0C0 AAAA B680 C000 0085 FF00 0080 C001"
		$"B6B6 80AA 83C0 80AA 01B6 B680 C000 0085"
		$"FF00 0081 C001 B6B6 82AA 019E 9E80 AA01"
		$"B6B6 81C0 0000 85FF 0000 82C0 80B6 01AA"
		$"AA80 9E00 AA80 B682 C000 0086 FF00 0082"
		$"C001 B6B6 80CE 00C0 80CE 01B6 B681 C000"
		$"0088 FF01 0000 80C0 0EB6 B6CE CEC0 C0CE"
		$"CEC0 B6B6 C0C0 0000 8BFF 8D00 85FF 8AFF"
		$"8300 96FF 0200 E6E6 81C0 0000 91FF 8D00"
		$"8AFF 8000 01C0 C082 E603 C0C0 E6E6 82C0"
		$"8000 86FF 0400 C0E6 E6C0 8B00 81C0 0000"
		$"85FF 8200 8BDA 8200 84FF 0100 0082 DA0B"
		$"C0E6 C0C0 FFE6 C0B6 C0C0 B6B6 82DA 0100"
		$"0083 FF00 0080 DA81 C00B E6C0 C0E6 E6C0"
		$"B6C0 C0B6 B6C0 81B6 01DA 0083 FF02 00DA"
		$"DA82 C00B E6C0 C0E6 E6C0 B6C0 C0B6 B6C0"
		$"82B6 0000 83FF 0200 C0C0 81AA 8900 82AA"
		$"01B6 0081 FF80 0001 AAAA 8100 8986 8100"
		$"01AA AA80 0001 FF00 80C0 0100 0081 8689"
		$"C081 8601 0000 80C0 0300 00C0 C080 0000"
		$"8681 C080 0081 C080 0081 C000 8680 0008"
		$"C0C0 00FF 0000 FFFF 0081 C00B 00FF FFF2"
		$"00C0 C000 FFFF F200 81C0 0400 FFFF 0000"
		$"83FF 0000 80C0 0000 80FF 03F2 E600 0080"
		$"FF02 F2E6 0080 C000 0087 FF00 0080 C00D"
		$"00FF FF80 00E6 0000 FF80 00F2 E600 80C0"
		$"0000 87FF 0000 80C0 0D00 FFFF 0000 E600"
		$"00FF 0000 F2E6 0080 C000 0087 FF00 0080"
		$"C000 0081 F202 E600 0081 F205 E600 C0C0"
		$"E600 86FF 0200 E6E6 80C0 0000 80E6 0300"
		$"C0C0 0080 E600 0081 C001 E600 85FF 0300"
		$"E6C0 0080 C080 0081 C080 0080 C003 00C0"
		$"C000 85FF 0400 C000 DA00 8BC0 0400 DA00"
		$"C000 85FF 0600 C000 DAE6 0000 87C0 0600"
		$"00E6 DA00 C000 85FF 0800 C086 C0DA E6E6"
		$"0000 83C0 0800 00E6 E6DA C086 C000 85FF"
		$"0000 81C0 03DA DAE6 E683 0003 E6E6 DADA"
		$"81C0 0000 85FF 0000 80C0 0FAA C0C0 DADA"
		$"E6FF E6FF FFE6 DADA C0C0 AA80 C000 0085"
		$"FF00 0080 C004 B6AA AAC0 C083 DA04 C0C0"
		$"AAAA B680 C000 0085 FF00 0080 C001 B6B6"
		$"80AA 83C0 80AA 01B6 B680 C000 0085 FF00"
		$"0081 C001 B6B6 82AA 019E 9E80 AA01 B6B6"
		$"81C0 0000 85FF 0000 82C0 80B6 01AA AA80"
		$"9E00 AA80 B682 C000 0086 FF00 0082 C001"
		$"B6B6 80CE 00C0 80CE 01B6 B681 C000 0088"
		$"FF01 0000 80C0 0EB6 B6CE CEC0 C0CE CEC0"
		$"B6B6 C0C0 0000 8BFF 8D00 85FF 8AFF 8300"
		$"96FF 0200 E6E6 81C0 0000 91FF 8D00 8AFF"
		$"8000 01C0 C082 E603 C0C0 E6E6 82C0 8000"
		$"86FF 0400 C0E6 E6C0 8B00 81C0 0000 85FF"
		$"8200 8BDA 8200 84FF 0100 0082 DA0B C0E6"
		$"C0C0 FFE6 C0B6 C0C0 B6B6 82DA 0100 0083"
		$"FF00 0080 DA81 C00B E6C0 C0E6 E6C0 B6C0"
		$"C0B6 B6C0 81B6 01DA 0083 FF02 00DA DA82"
		$"C00B E6C0 C0E6 E6C0 B6C0 C0B6 B6C0 82B6"
		$"0000 83FF 0200 C0C0 81AA 8900 82AA 01B6"
		$"0081 FF80 0001 AAAA 8100 8986 8100 01AA"
		$"AA80 0001 FF00 80C0 0100 0081 8689 C081"
		$"8601 0000 80C0 0300 00C0 C080 0000 8681"
		$"C080 0081 C080 0081 C000 8680 0008 C0C0"
		$"00FF 0000 FFFF 0081 C00B 00FF FFF2 00C0"
		$"C000 FFFF F200 81C0 0400 FFFF 0000 83FF"
		$"0000 80C0 0000 80FF 03F2 E600 0080 FF02"
		$"F2E6 0080 C000 0087 FF00 0080 C00D 00FF"
		$"FF80 00E6 0000 FF80 00F2 E600 80C0 0000"
		$"87FF 0000 80C0 0D00 FFFF 0000 E600 00FF"
		$"0000 F2E6 0080 C000 0087 FF00 0080 C000"
		$"0081 F202 E600 0081 F205 E600 C0C0 E600"
		$"86FF 0200 E6E6 80C0 0000 80E6 0300 C0C0"
		$"0080 E600 0081 C001 E600 85FF 0300 E6C0"
		$"0080 C080 0081 C080 0080 C003 00C0 C000"
		$"85FF 0400 C000 DA00 8BC0 0400 DA00 C000"
		$"85FF 0600 C000 DAE6 0000 87C0 0600 00E6"
		$"DA00 C000 85FF 0800 C086 C0DA E6E6 0000"
		$"83C0 0800 00E6 E6DA C086 C000 85FF 0000"
		$"81C0 03DA DAE6 E683 0003 E6E6 DADA 81C0"
		$"0000 85FF 0000 80C0 0FAA C0C0 DADA E6FF"
		$"E6FF FFE6 DADA C0C0 AA80 C000 0085 FF00"
		$"0080 C004 B6AA AAC0 C083 DA04 C0C0 AAAA"
		$"B680 C000 0085 FF00 0080 C001 B6B6 80AA"
		$"83C0 80AA 01B6 B680 C000 0085 FF00 0081"
		$"C001 B6B6 82AA 019E 9E80 AA01 B6B6 81C0"
		$"0000 85FF 0000 82C0 80B6 01AA AA80 9E00"
		$"AA80 B682 C000 0086 FF00 0082 C001 B6B6"
		$"80CE 00C0 80CE 01B6 B681 C000 0088 FF01"
		$"0000 80C0 0EB6 B6CE CEC0 C0CE CEC0 B6B6"
		$"C0C0 0000 8BFF 8D00 85FF"
	}
};

resource 'icns' (1003) {
	{	/* array elementArray: 6 elements */
		/* [1] */
		'ics#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"3FE0 7FFE 7FFE FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF 7FFE FFFE FFFF FFFF",
		/* [2] */
		'ics8',
		$"0000 FFFF FFFF FFFF FFFF FF00 0000 0000"
		$"00FF F701 F5F6 01F5 F601 F5FF FFFF FF00"
		$"00FF F5F6 FFFF FF01 F6F6 01F6 F501 FF00"
		$"FF2B 01FF 4E4E 4EFF FFFF FFFF FFF6 F5FF"
		$"FFF5 F6FF 2A4E 0000 0000 0072 72FF 01FF"
		$"FFF6 01FF 7201 00FF 0000 FF00 72FF F6FF"
		$"FF01 2BFF 4EF6 0000 0000 0000 72FF F5FF"
		$"FFF6 F5FF 4E4E 0000 0000 0072 72FF 01FF"
		$"FF01 F6FF 4E4E 7272 7272 7272 72FF F6FF"
		$"FFF6 FF4E 7272 7272 7272 7272 72FF F5FF"
		$"FFF5 FF72 C0C0 FFFF FFFF FF72 72FF 01FF"
		$"FFFF F5FF 7272 7272 72C0 9696 96FF F6FF"
		$"00FF 01F6 FFFF FFFF FFFF FFFF FFF5 FF00"
		$"FFFF FFFF 01F5 F601 F5F6 01F5 F601 FF00"
		$"F5F5 F5F5 FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFF5 FF01 F601 F5F5 F5F5 F5F5 F5F5 F5F5",
		/* [3] */
		'is32',
		$"01FF FF86 0083 FF01 00CF 85DF 8100 04FF"
		$"FF00 DFDF 8000 84DF 0800 FF00 CFDF 00AF"
		$"AF8F 8300 08DF DF00 00DF DF00 AF8F 82FF"
		$"1A6F 6F00 DF00 00DF DF00 8FDF FF00 FFFF"
		$"00FF 6F00 DF00 00DF DF00 8FDF 83FF 096F"
		$"00DF 0000 DFDF 008F 8F82 FF0A 6F6F 00DF"
		$"0000 DFDF 008F 8F84 6F06 00DF 0000 DF00"
		$"8F86 6F06 00DF 0000 DF00 6F84 0003 6F6F"
		$"00DF 8000 01DF 0082 6F00 0080 4F06 00DF"
		$"00FF 00DF DF86 0002 DF00 FF81 0087 DF01"
		$"00FF 81EF 8A00 01DF 0081 DF85 EF00 DF01"
		$"FFFF 8600 83FF 0100 CF85 E781 0004 FFFF"
		$"00E7 E780 0084 E708 00FF 00CF E700 DFDF"
		$"D783 0008 E7E7 0000 E7E7 00DF D782 FF1A"
		$"C7C7 00E7 0000 E7E7 00D7 E7FF 00FF FF00"
		$"FFC7 00E7 0000 E7E7 00D7 E783 FF09 C700"
		$"E700 00E7 E700 D7D7 82FF 0AC7 C700 E700"
		$"00E7 E700 D7D7 84C7 0600 E700 00E7 00D7"
		$"86C7 0800 E700 00E7 00C7 A7A7 8200 03C7"
		$"C700 E780 0001 E700 82C7 00A7 80B7 0600"
		$"E700 FF00 E7E7 8600 02E7 00FF 8100 87E7"
		$"0100 FF81 EF8A 0001 E700 81E7 85EF 00E7"
		$"01FF FF86 0083 FF01 00CF 85DF 8100 04FF"
		$"FF00 DFDF 8000 84DF 0500 FF00 CFDF 0080"
		$"FF83 0006 DFDF 0000 DFDF 0086 FF18 00DF"
		$"0000 DFDF 00FF DFFF 00FF FF00 FFFF 00DF"
		$"0000 DFDF 00FF DF84 FF06 00DF 0000 DFDF"
		$"0086 FF06 00DF 0000 DFDF 0086 FF05 00DF"
		$"0000 DF00 87FF 0500 DF00 00DF 0080 FF82"
		$"0003 FFFF 00DF 8000 01DF 0086 FF06 00DF"
		$"00FF 00DF DF86 0002 DF00 FF81 0087 DF01"
		$"00FF 81EF 8A00 01DF 0081 DF85 EF00 DF",
		/* [4] */
		'ICN#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"07FE 0000 0FFF FE00 1FFF FFC0 1FFF FFF8"
		$"3FFF FFFC 3FFF FFFE 3FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE 7FFF FFFE"
		$"7FFF FFFC 3FFF FFFC 3FFF FFFC 1FFF FFFC"
		$"FFFF FFF8 FFFF FFF8 FFFF FFFE FFFF FFFF",
		/* [5] */
		'icl8',
		$"0000 0000 00FF FFFF FFFF FFFF FFFF FF00"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 FF2B 2BFF F5F6 F5F6 F5F6 F5FF"
		$"FFFF FFFF FFFF FF00 0000 0000 0000 0000"
		$"0000 00FF 2B2B FFF5 F6F5 F6F5 F6F5 F6F5"
		$"F6F5 F6F5 F6F5 F6FF FFFF 0000 0000 0000"
		$"0000 00FF 2B2B FFF6 F5FA FAFA F5FA FAF6"
		$"F6F6 F5F6 F5F6 F6F5 F6F5 FFFF FF00 0000"
		$"0000 FF2B 2BFF F5F6 F6F5 F6F5 F6F5 F6F5"
		$"F6F5 F6F6 F6F5 F6F6 23F6 F5F6 F5FF 0000"
		$"0000 FF2B 2BFF F6F6 F5FF FFFF FFFF FFF6"
		$"F5F6 F6F6 F5F6 F6F5 23FF FFF5 F6F5 FF00"
		$"0000 FF2B 2BFF F5F6 FF24 242A 2424 24FF"
		$"FFFF FFFF FFFF FFF6 F5F6 F5FF FFF6 F5FF"
		$"00FF 2B2B FFF5 F6FF 2424 2A24 2A4E 4E4E"
		$"4E4E 4E4E 4E72 72FF FFFF F6F5 F6F5 F6FF"
		$"00FF 2B2B FFF6 F5FF 2A24 2424 4EFF FFFF"
		$"FF4E FFFF FFFF 7272 7296 FFFF F5F6 F5FF"
		$"00FF 2B2B FFF5 F6FF 2424 2A4E FFF6 0000"
		$"00FF 0000 0000 FF72 7272 9696 FFF5 F6FF"
		$"00FF 2B2B FFF6 F5FF 242A 4EFF 2B00 0000"
		$"0000 FF00 0000 00FF 7272 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF2A 244E 4EFF F600 00FF"
		$"FF00 FF00 FFFF 00FF 7272 7296 FFF5 F6FF"
		$"FF2B 2BFF F5F6 FF24 4E4E 4EFF F600 00FF"
		$"FF00 FF00 FFFF 00FF 7272 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF24 4E4E 4EFF F600 0000"
		$"0000 FF00 0000 00FF 7272 7296 FFF5 F6FF"
		$"FF2B 2BFF F5F6 FF4E 4E4E 4EFF F7F6 0000"
		$"0000 FF00 0000 F6FF 7272 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E FFF7 F6F6"
		$"2BFF F7F6 F62B FF72 7272 7296 FFF5 F6FF"
		$"FF2B 2BFF F6F6 FF4E 4E4E 4E4E 4EFF FFFF"
		$"FF4E FFFF FFFF 7272 7272 7296 FFF6 F5FF"
		$"FF2B 2BFF F6F5 FF4E 4E4E 4E4E 7272 7272"
		$"7272 7272 7272 7272 7272 7296 FFF5 F6FF"
		$"FF2B FFF5 F6FF 724E 4E4E 7272 7272 7272"
		$"7272 7272 7272 7272 7272 9696 FFF6 F5FF"
		$"FF2B FFF6 F5FF 4E4E 4E72 7272 7272 7272"
		$"7272 7272 7272 7272 7272 96FF F6F5 FF00"
		$"FF2B FFF5 F6FF 4E72 72FF FFFF FFFF FFFF"
		$"FFFF FF72 7272 7272 7272 96FF F5F6 FF00"
		$"FF2B FFF6 F5FF 4E72 FFC0 C1C0 96C0 C1C0"
		$"9696 C0FF FFFF FF72 7272 96FF F6F5 FF00"
		$"FF2B FFF5 F6FF 7272 7296 C096 7296 C096"
		$"7272 96C1 C096 C1FF 7272 96FF F5F6 FF00"
		$"00FF 2BFF F6F5 FF72 7272 9672 7272 9672"
		$"7272 72C0 9696 C096 7296 96FF F6F5 FF00"
		$"00FF 2BFF F5F6 F5FF FFFF FFFF 7272 7272"
		$"7272 7296 7272 9696 9696 FFF5 F6FF 0000"
		$"0000 FF2B FFF6 F6F5 F6F5 F6F5 FFFF FFFF"
		$"FFFF 7272 7296 9696 96C0 FFF6 F5FF 0000"
		$"0000 FF2B FF2B F6F6 F5F6 F5F6 F5F6 F5F6"
		$"F5F6 FFFF FFFF FFFF FFFF F5F6 F6FF 0000"
		$"0000 00FF 2BFF F7F7 F6F5 F6F6 F6F5 F6F5"
		$"FFF5 F6F5 F6F5 F6F5 F6F5 F6F5 F7FF 0000"
		$"FFFF FFFF FFFF FFFF FFFF FFF5 F6F6 F6F6"
		$"F5F6 F5FB F5FB F5FB F5F6 F6F7 FF00 0000"
		$"F500 F5F5 00F5 F500 F5F5 00FF FFFF FFFF"
		$"FFF6 F6F5 F6F5 F62B F7F7 F72B FF00 0000"
		$"F5FF FFF5 FFFF 00FF FFF5 F5F5 00F5 00F5"
		$"F5FF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
		$"FFF5 00FF F500 FFF5 00FF FFFF F5FF FFF5"
		$"F500 F5F5 00F5 F500 F500 F5F5 00F5 00FF",
		/* [6] */
		'il32',
		$"82FF 8700 92FF 0300 CECE 0084 E685 0089"
		$"FF03 00CE CE00 8DE6 8000 86FF 0500 CECE"
		$"00E6 E680 7A02 E67A 7A88 E680 0082 FF03"
		$"00CE CE00 8FE6 00FF 81E6 0000 81FF 0300"
		$"CECE 0080 E683 0086 E602 FF00 0080 E600"
		$"0080 FF06 00CE CE00 E6E6 0083 B185 0081"
		$"E60C 0000 E6E6 00FF 00CE CE00 E6E6 0082"
		$"B185 8E01 6B6B 8000 82E6 0800 FF00 CECE"
		$"00E6 E600 81B1 008E 8100 008E 8100 806B"
		$"0248 0000 80E6 0800 FF00 CECE 00E6 E600"
		$"80B1 028E 00DA 80FF 0000 81FF 0000 806B"
		$"1248 4800 E6E6 00FF 00CE CE00 E6E6 00B1"
		$"B18E 00C0 82FF 0000 81FF 0000 806B 1C48"
		$"00E6 E600 00CE CE00 E6E6 00B1 B18E 8E00"
		$"DAFF FF00 00FF 00FF 0000 FF00 806B 0C48"
		$"00E6 E600 00CE CE00 E6E6 00B1 808E 0C00"
		$"DAFF FF00 00FF 00FF 0000 FF00 806B 0C48"
		$"00E6 E600 00CE CE00 E6E6 00B1 808E 0100"
		$"DA82 FF00 0081 FF00 0080 6B0B 4800 E6E6"
		$"0000 CECE 00E6 E600 818E 0200 C0DA 81FF"
		$"0000 80FF 01DA 0080 6B0B 4800 E6E6 0000"
		$"CECE 00E6 E600 828E 0A00 C0DA DAC0 00C0"
		$"DADA C000 816B 0B48 00E6 E600 00CE CE00"
		$"E6E6 0083 8E81 0000 8E81 0082 6B0B 4800"
		$"E6E6 0000 CECE 00E6 E600 828E 8C6B 0B48"
		$"00E6 E600 00CE 00E6 E600 6B80 8E8D 6B0B"
		$"4848 00E6 E600 00CE 00E6 E600 808E 8E6B"
		$"0E48 00E6 E600 FF00 CE00 E6E6 008E 6B6B"
		$"8700 846B 0D48 00E6 E600 FF00 CE00 E6E6"
		$"008E 6B81 0000 4880 0001 4848 8200 806B"
		$"0B48 00E6 E600 FF00 CE00 E6E6 0080 6B1D"
		$"4800 486B 4800 486B 6B48 0000 4800 006B"
		$"6B48 00E6 E600 FFFF 00CE 00E6 E600 806B"
		$"0048 806B 0048 816B 1000 4848 0048 6B48"
		$"4800 E6E6 00FF FF00 CE00 80E6 8200 846B"
		$"0248 6B6B 8148 0300 E6E6 0081 FF02 00CE"
		$"0084 E683 0080 6B81 4804 0000 E6E6 0081"
		$"FF03 00CE 00C2 89E6 8500 80E6 0000 82FF"
		$"0400 CE00 C2C2 85E6 0000 88E6 03C2 00FF"
		$"FF88 0085 E604 62E6 62E6 6280 E601 C200"
		$"80FF 88F2 8300 83E6 82C2 0000 80FF 08F2"
		$"0000 F200 00F2 0000 85F2 8B00 09FF 00F2"
		$"F200 F2F2 00F2 F280 0002 F200 008D F200"
		$"0082 FF87 0092 FF03 00CE CE00 84E6 8500"
		$"89FF 0300 CECE 008D E680 0086 FF05 00CE"
		$"CE00 E6E6 807A 02E6 7A7A 88E6 8000 82FF"
		$"0300 CECE 008F E600 0081 E600 0081 FF03"
		$"00CE CE00 80E6 8300 86E6 8000 80E6 0000"
		$"80FF 0600 CECE 00E6 E600 83E2 8500 81E6"
		$"0C00 00E6 E600 FF00 CECE 00E6 E600 82E2"
		$"85D4 01C6 C680 0082 E608 00FF 00CE CE00"
		$"E6E6 0081 E200 D481 0000 D481 0080 C602"
		$"B800 0080 E608 00FF 00CE CE00 E6E6 0080"
		$"E202 D400 DA80 FF00 0081 FF00 0080 C612"
		$"B8B8 00E6 E600 FF00 CECE 00E6 E600 E2E2"
		$"D400 C082 FF00 0081 FF00 0080 C61C B800"
		$"E6E6 0000 CECE 00E6 E600 E2E2 D4D4 00DA"
		$"FFFF 0000 FF00 FF00 00FF 0080 C60C B800"
		$"E6E6 0000 CECE 00E6 E600 E280 D40C 00DA"
		$"FFFF 0000 FF00 FF00 00FF 0080 C60C B800"
		$"E6E6 0000 CECE 00E6 E600 E280 D401 00DA"
		$"82FF 0000 81FF 0000 80C6 0BB8 00E6 E600"
		$"00CE CE00 E6E6 0081 D402 00C0 DA81 FF00"
		$"0080 FF01 DA00 80C6 0BB8 00E6 E600 00CE"
		$"CE00 E6E6 0082 D40A 00C0 DADA C000 C0DA"
		$"DAC0 0081 C60B B800 E6E6 0000 CECE 00E6"
		$"E600 83D4 8100 00D4 8100 82C6 0BB8 00E6"
		$"E600 00CE CE00 E6E6 0082 D48C C60B B800"
		$"E6E6 0000 CE00 E6E6 00C6 80D4 8DC6 0BB8"
		$"B800 E6E6 0000 CE00 E6E6 0080 D48E C60E"
		$"B800 E6E6 00FF 00CE 00E6 E600 D4C6 C687"
		$"0084 C618 B800 E6E6 00FF 00CE 00E6 E600"
		$"D4C6 00AA 92AA B8AA 92AA B8B8 AA81 0080"
		$"C60B B800 E6E6 00FF 00CE 00E6 E600 80C6"
		$"1DB8 AAB8 C6B8 AAB8 C6C6 B892 AAB8 9200"
		$"C6C6 B800 E6E6 00FF FF00 CE00 E6E6 0080"
		$"C600 B880 C600 B881 C610 AAB8 B8AA B8C6"
		$"B8B8 00E6 E600 FFFF 00CE 0080 E682 0084"
		$"C602 B8C6 C681 B803 00E6 E600 81FF 0200"
		$"CE00 84E6 8300 80C6 81B8 04AA 00E6 E600"
		$"81FF 0300 CE00 C289 E685 0080 E600 0082"
		$"FF04 00CE 00C2 C285 E600 0088 E603 C200"
		$"FFFF 8800 85E6 0462 E662 E662 80E6 01C2"
		$"0080 FF88 F283 0083 E682 C200 0080 FF08"
		$"F200 00F2 0000 F200 0085 F28B 0009 FF00"
		$"F2F2 00F2 F200 F2F2 8000 02F2 0000 8DF2"
		$"0000 82FF 8700 92FF 0300 CECE 0084 E685"
		$"0089 FF03 00CE CE00 8DE6 8000 86FF 0500"
		$"CECE 00E6 E680 7A02 E67A 7A88 E680 0082"
		$"FF03 00CE CE00 8FE6 0000 81E6 0000 81FF"
		$"0300 CECE 0080 E683 0086 E680 0080 E600"
		$"0080 FF06 00CE CE00 E6E6 0083 FF85 0081"
		$"E60C 0000 E6E6 00FF 00CE CE00 E6E6 008C"
		$"FF80 0082 E608 00FF 00CE CE00 E6E6 0082"
		$"FF81 0000 FF81 0081 FF01 0000 80E6 0800"
		$"FF00 CECE 00E6 E600 81FF 0100 DA80 FF00"
		$"0081 FF00 0082 FF0B 00E6 E600 FF00 CECE"
		$"00E6 E600 80FF 0100 C082 FF00 0081 FF00"
		$"0081 FF0A 00E6 E600 00CE CE00 E6E6 0081"
		$"FF0C 00DA FFFF 0000 FF00 FF00 00FF 0081"
		$"FF0A 00E6 E600 00CE CE00 E6E6 0081 FF0C"
		$"00DA FFFF 0000 FF00 FF00 00FF 0081 FF0A"
		$"00E6 E600 00CE CE00 E6E6 0081 FF01 00DA"
		$"82FF 0000 81FF 0000 81FF 0A00 E6E6 0000"
		$"CECE 00E6 E600 81FF 0200 C0DA 81FF 0000"
		$"80FF 01DA 0081 FF0A 00E6 E600 00CE CE00"
		$"E6E6 0082 FF0A 00C0 DADA C000 C0DA DAC0"
		$"0082 FF0A 00E6 E600 00CE CE00 E6E6 0083"
		$"FF81 0000 FF81 0083 FF0A 00E6 E600 00CE"
		$"CE00 E6E6 0092 FF09 00E6 E600 00CE 00E6"
		$"E600 93FF 0900 E6E6 0000 CE00 E6E6 0092"
		$"FF0A 00E6 E600 FF00 CE00 E6E6 0080 FF87"
		$"0085 FF0F 00E6 E600 FF00 CE00 E6E6 00FF"
		$"FF00 FFDC 80FF 00DC 81FF 8100 81FF 0A00"
		$"E6E6 00FF 00CE 00E6 E600 8AFF 04DC FFFF"
		$"DC00 80FF 0B00 E6E6 00FF FF00 CE00 E6E6"
		$"0091 FF08 00E6 E600 FFFF 00CE 0080 E682"
		$"008B FF03 00E6 E600 81FF 0200 CE00 84E6"
		$"8300 85FF 0300 E6E6 0081 FF03 00CE 00C2"
		$"89E6 8500 80E6 0000 82FF 0400 CE00 C2C2"
		$"85E6 0000 88E6 03C2 00FF FF88 0085 E604"
		$"62E6 62E6 6280 E601 C200 80FF 88F2 8300"
		$"83E6 82C2 0000 80FF 08F2 0000 F200 00F2"
		$"0000 85F2 8B00 09FF 00F2 F200 F2F2 00F2"
		$"F280 0002 F200 008D F200 00"
	}
};

resource 'icns' (1004) {
	{	/* array elementArray: 6 elements */
		/* [1] */
		'ics#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0004 0006 000E 000E 01FE 67FF FFFF FFFF"
		$"7FFF FFFF FFFF FFFE FFFC 7FF0 0000 0000",
		/* [2] */
		'ics8',
		$"0000 0000 0000 0000 0000 0000 00FF 0000"
		$"0000 0000 0000 0000 0000 0000 00FF FF00"
		$"0000 0000 0000 0000 0000 0000 FF43 FF00"
		$"0000 0000 0000 0000 0000 0000 FF18 FF00"
		$"0000 0000 0000 00FF FFFF FFFF FF0C FF00"
		$"00FF FF00 00FF FF00 0000 0000 FFFF 18FF"
		$"FF0C 0CFF FF00 0000 0000 0000 F5FF 0CFF"
		$"FF0C FF00 0000 FFFF 0000 0000 00F5 FFFF"
		$"00FF FA00 000C 0C0D FF00 0000 0001 2BFF"
		$"FFFA FBFC 0043 180C FF00 0000 00F6 F9FF"
		$"FF00 00F9 00FA FFFF 00FA F900 FAFA F6FF"
		$"FF00 0000 00F5 FAF9 0000 F601 F6F5 FF00"
		$"FF00 FAF9 0000 0000 F501 F62B FFFF 0000"
		$"00FF FFFF FFFF FFFF FFFF FFFF 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000",
		/* [3] */
		'is32',
		$"8AFF 0000 8CFF 0100 008A FF02 00DF 008A"
		$"FF02 00FF 0085 FF83 0009 FF00 FFFF 0000"
		$"FFFF 0000 82FF 0800 00FF 0000 FFFF 0000"
		$"84FF 06DF 00FF 0000 FF00 80FF 0100 0082"
		$"FF05 DF00 00FF 007F 82FF 0000 81FF 0BDF"
		$"DF00 007F 4F4F FFDF FFFF 0081 FF13 DF7F"
		$"0000 FFFF 7FFF 7F00 00FF 7F7F FF7F 7FDF"
		$"0000 81FF 04DF 7F7F FFFF 81DF 0500 FF00"
		$"FF7F 7F81 FF81 DF01 0000 80FF 8800 A1FF"
		$"8AFF 0000 8CFF 0100 008A FF80 008A FF02"
		$"0047 0085 FF83 0009 AF00 FFFF 0000 FFFF"
		$"0000 82FF 0800 0047 0000 8F8F 0000 84FF"
		$"06E7 00AF 0000 8F00 80FF 0100 0082 FF0B"
		$"E700 00FF 0087 FFFF 8F8F AF00 81FF 0BE7"
		$"D700 0087 5757 FF00 47AF 0081 FF13 E787"
		$"0000 FFFF 87FF 8700 00FF 8787 FF87 87D7"
		$"0000 81FF 0EE7 8787 FFFF E7E7 D7D7 00FF"
		$"00FF 8787 81FF 80E7 02D7 0000 80FF 8800"
		$"A1FF 8AFF 0000 8CFF 0100 008A FF02 00DF"
		$"008A FF02 00FF 0085 FF83 0009 FF00 FFFF"
		$"0000 FFFF 0000 82FF 0800 00FF 0000 FFFF"
		$"0000 84FF 06DF 00FF 0000 FF00 80FF 0100"
		$"0082 FF05 DF00 00FF 007F 81FF 01DF 0081"
		$"FF0B DFDF 0000 7F4F 4FFF DFFF FF00 81FF"
		$"13DF 7F00 00FF FF7F FF7F 0000 FF7F 7FFF"
		$"7F7F DF00 0081 FF04 DF7F 7FFF FF81 DF05"
		$"00FF 00FF 7F7F 81FF 81DF 0100 0080 FF88"
		$"00A1 FF",
		/* [4] */
		'ICN#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0010 0000 0038 0000 001C 0000 001C"
		$"0000 001C 0000 003C 0000 0078 0000 0078"
		$"0000 0078 0000 007C 0001 FF3C 0E0F FFDE"
		$"1F3F FFFF 3FFF FFFF 3FFF FFFF 3FFF FFFF"
		$"1FFF FFFE 1FFF FFFE 3FFF FFFE 7FFF FFFE"
		$"7FFF FFFE FFFF FFFE FFFF FFFC FFFF FFF8"
		$"FFFF FFF0 7FFF FFE0 3FFF FF80 0FFF F000"
		$"0000 0000 0000 0000 0000 0000 0000 0000",
		/* [5] */
		'icl8',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 FF06 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 06FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 06FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 06FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 FF43 18FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0618 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0618 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 4343 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0606 18FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 00FF"
		$"FFFF FFFF FFFF FFFF 0000 FF06 18FF 0000"
		$"0000 0000 FFFF FF00 0000 0000 FFFF FF00"
		$"0000 0000 0000 0000 FFFF 00FF 4318 FF00"
		$"0000 00FF 0C0C 0CFF 0000 FFFF 0000 0000"
		$"0000 0000 0000 0000 F5F6 FFFF 0606 18FF"
		$"0000 FF0C 0C0C 0CFF FFFF 0000 0000 0000"
		$"0000 0000 0000 0000 00F5 F6F5 FF06 18FF"
		$"0000 FF0C 0C0C FFFF 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 F6F6 F6FF 06FF"
		$"0000 FF0C 0CFF 0000 0000 0000 FFFF FFFF"
		$"0000 0000 0000 0000 0000 F5F6 F5FF 18FF"
		$"0000 00FF FF00 0000 0000 00FF 0606 0606"
		$"FF00 0000 0000 0000 0000 00F6 F6F6 FF00"
		$"0000 00FF F9FA F900 0000 FF0C 0C0C 0606"
		$"06FF 0000 0000 0000 0000 00F6 F5F6 FF00"
		$"0000 FF00 FA00 FBFA F9FA FF18 180C 0C06"
		$"06FF 0000 0000 0000 0000 F6F5 F6F6 FF00"
		$"00FF 00F9 00FB FBFB 0000 F943 4318 0C06"
		$"06FF 0000 0000 0000 0000 F5F6 F6F9 FF00"
		$"00FF FA00 FBFB 0000 FAF9 00FA 4318 0C06"
		$"FF00 0000 0000 FAF9 FAF5 F6F5 FAF6 FF00"
		$"FFF9 0000 0000 FAF9 0000 00F9 06FF FFFF"
		$"0000 00FA F9FA 0000 F5FA FAFA F6F6 FF00"
		$"FFFA 0000 00F9 0000 0000 00F6 F900 0000"
		$"FAF9 FA00 0000 00F6 F5F6 F5F6 F6FF 0000"
		$"FFFA F900 FA00 0000 0000 F6F5 FAF9 FAF9"
		$"0000 0000 00F5 F6F5 F6F6 F6F6 FF00 0000"
		$"FF00 00FA F900 F5F6 F5FA F9FA 0000 0000"
		$"0000 00F5 F6F6 F5F6 F6F6 F6FF 0000 0000"
		$"00FF 0000 00F9 FAFA FA00 0000 0000 0000"
		$"00F5 F6F6 F5F6 F6F6 F6FF FF00 0000 0000"
		$"0000 FFFF 0000 0000 0000 0000 0000 0000"
		$"F6F6 F5F6 FFFF FFFF FF00 0000 0000 0000"
		$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000",
		/* [6] */
		'il32',
		$"98FF 0000 9BFF 0200 FF00 9BFF 0200 FF00"
		$"9AFF 0200 FF00 9AFF 0200 FF00 99FF 0300"
		$"DCFF 0098 FF03 00FF FF00 99FF 0300 FFFF"
		$"0099 FF03 00DC DC00 99FF 0000 80FF 0000"
		$"8EFF 8600 05FF FF00 FFFF 0083 FF80 0082"
		$"FF80 0086 FF06 0000 FF00 DCFF 0081 FF00"
		$"0080 FF04 00FF FF00 0089 FF03 E6E6 0000"
		$"80FF 0300 FFFF 0081 FF80 008C FF80 E606"
		$"00FF FF00 FFFF 0080 FF01 0000 8FFF 0BE6"
		$"E6DA 00FF 00FF FF00 FFFF 0083 FF81 0087"
		$"FF80 E602 00FF 0080 FF01 0000 83FF 0000"
		$"81FF 0000 87FF 03E6 E6DA 0081 FF00 0080"
		$"8680 FF00 0083 FF00 0086 FF03 E6E6 DA00"
		$"80FF 0800 FF86 FF56 8086 8600 83FF 0000"
		$"85FF 80E6 07DA 00FF FF00 FF86 FF80 5604"
		$"FFFF 86DC DC81 FF00 0085 FF12 E6E6 DA86"
		$"00FF FF00 86FF 5656 FFFF 8686 FF86 DC80"
		$"FF00 0082 FF80 8680 E605 86DA 00FF 0086"
		$"81FF 0186 8680 FF01 86FF 8000 80FF 8086"
		$"02FF FFE6 8086 05DA DA00 FF00 8680 FF00"
		$"8682 FF01 E686 80FF 8086 81FF 80E6 80DA"
		$"0700 FFFF 0086 86FF 8682 FF01 E6E6 8186"
		$"82FF 81E6 80DA 0000 80FF 0500 FFFF 8686"
		$"FF80 E680 8684 FF81 E681 DA00 0082 FF00"
		$"0080 FF81 8685 FF82 E680 DA01 0000 84FF"
		$"0100 0089 FF81 E682 0088 FF8D 00FF FF87"
		$"FF98 FF00 009B FF02 00B1 009B FF02 00B1"
		$"009A FF02 00B1 009A FF02 00B1 0099 FF03"
		$"0000 4800 98FF 0300 B148 0099 FF03 00B1"
		$"4800 99FF 8100 99FF 0400 B1B1 4800 8EFF"
		$"8600 05FF FF00 B148 0083 FF80 0082 FF80"
		$"0086 FF06 0000 FF00 0048 0081 FF00 0080"
		$"8E04 00FF FF00 0089 FF0A E6E6 0000 B1B1"
		$"4800 FFFF 0081 8E80 008C FF80 E606 00B1"
		$"4800 FFFF 0080 8E01 0000 8FFF 0BE6 E6DA"
		$"00B1 00FF FF00 8E8E 0083 FF81 0087 FF80"
		$"E602 0048 0080 FF01 0000 83FF 0000 81B1"
		$"0000 87FF 03E6 E6DA 0081 FF00 0080 8680"
		$"FF00 0080 8E80 B100 0086 FF03 E6E6 DA00"
		$"80FF 0F00 FF86 FF56 8086 8600 4848 8E8E"
		$"B1B1 0085 FF80 E607 DA00 FFFF 00FF 86FF"
		$"8056 09FF FF86 0000 488E B1B1 0085 FF16"
		$"E6E6 DA86 00FF FF00 86FF 5656 FFFF 8686"
		$"FF86 0048 8EB1 0082 FF80 8680 E605 86DA"
		$"00FF 0086 81FF 0186 8680 FF01 86B1 8000"
		$"80FF 8086 02FF FFE6 8086 05DA DA00 FF00"
		$"8680 FF00 8682 FF01 E686 80FF 8086 81FF"
		$"80E6 80DA 0700 FFFF 0086 86FF 8682 FF01"
		$"E6E6 8186 82FF 81E6 80DA 0000 80FF 0500"
		$"FFFF 8686 FF80 E680 8684 FF81 E681 DA00"
		$"0082 FF00 0080 FF81 8685 FF82 E680 DA01"
		$"0000 84FF 0100 0089 FF81 E682 0088 FF8D"
		$"00FF FF87 FF98 FF00 009B FF02 00FF 009B"
		$"FF02 00FF 009A FF02 00FF 009A FF02 00FF"
		$"0099 FF03 00DC FF00 98FF 0300 FFFF 0099"
		$"FF03 00FF FF00 99FF 0300 DCDC 0099 FF00"
		$"0080 FF00 008E FF86 0005 FFFF 00FF FF00"
		$"83FF 8000 82FF 8000 86FF 0600 00FF 00DC"
		$"FF00 81FF 0000 80FF 0400 FFFF 0000 89FF"
		$"03E6 E600 0080 FF03 00FF FF00 81FF 8000"
		$"8CFF 80E6 0600 FFFF 00FF FF00 80FF 0100"
		$"008F FF0B E6E6 DA00 FF00 FFFF 00FF FF00"
		$"83FF 8100 87FF 80E6 0200 FF00 80FF 0100"
		$"0083 FF00 0081 E200 0087 FF03 E6E6 DA00"
		$"81FF 0000 8086 80FF 0000 80FF 03E2 E2FF"
		$"0086 FF03 E6E6 DA00 80FF 0800 FF86 FF56"
		$"8086 8600 83FF 0000 85FF 80E6 07DA 00FF"
		$"FF00 FF86 FF80 5604 FFFF 86DC DC81 FF00"
		$"0085 FF12 E6E6 DA86 00FF FF00 86FF 5656"
		$"FFFF 8686 FF86 DC80 FF00 0082 FF80 8680"
		$"E605 86DA 00FF 0086 81FF 0186 8680 FF01"
		$"86FF 8000 80FF 8086 02FF FFE6 8086 05DA"
		$"DA00 FF00 8680 FF00 8682 FF01 E686 80FF"
		$"8086 81FF 80E6 80DA 0700 FFFF 0086 86FF"
		$"8682 FF01 E6E6 8186 82FF 81E6 80DA 0000"
		$"80FF 0500 FFFF 8686 FF80 E680 8684 FF81"
		$"E681 DA00 0082 FF00 0080 FF81 8685 FF82"
		$"E680 DA01 0000 84FF 0100 0089 FF81 E682"
		$"0088 FF8D 00FF FF87 FF"
	}
};

resource 'icns' (1005) {
	{	/* array elementArray: 6 elements */
		/* [1] */
		'ics#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0004 0006 000E 000E 01FE 63FF FFFF FFFF"
		$"7FFF FFFF FFFF FFFE FFFE 7FFE 01FC 01F8",
		/* [2] */
		'ics8',
		$"0000 0000 0000 0000 0000 0000 00FF 0000"
		$"0000 0000 0000 0000 0000 0000 00FF FF00"
		$"0000 0000 0000 0000 0000 0000 FF43 FF00"
		$"0000 0000 0000 0000 0000 0000 FF18 FF00"
		$"0000 0000 0000 00FF FFFF FFFF FF0C FF00"
		$"00FF FF00 0000 FF00 0000 0000 FFFF 18FF"
		$"FF0C 0CFF FFFF 0000 0000 0000 F501 0CFF"
		$"FF0C FF00 0000 FFFF 0000 0000 00F6 FFFF"
		$"00FF FA00 000C 0C0D FF00 0000 0001 2BFF"
		$"FFFA FBFC 0043 180C FF00 0000 00F6 F9FF"
		$"FF00 00F9 00FA FFFF 00FA F9FF FFFA F6FF"
		$"FF00 0000 00F5 FAF9 FFFF 00F5 F6FF FF00"
		$"FF00 FAF9 0000 00FF 0000 FFFF 09FF FF00"
		$"00FF FFFF FFFF FFFF 0909 0401 04FF FF00"
		$"0000 0000 0000 00FF 0909 FF09 09FF 0000"
		$"0000 0000 0000 00FF FFFF FFFF FF00 0000",
		/* [3] */
		'is32',
		$"8AFF 0000 8CFF 0100 008A FF02 00DF 008A"
		$"FF02 00FF 0085 FF83 0005 FF00 FFFF 0000"
		$"80FF 0000 82FF 0600 00FF 0000 FFFF 8000"
		$"83FF 06DF DFFF 0000 FF00 80FF 0100 0082"
		$"FF05 DF00 00FF 007F 82FF 0000 81FF 0BDF"
		$"DF00 007F 4F4F FFDF FFFF 0081 FF13 DF7F"
		$"0000 FFFF 7FFF 7F00 00FF 7F7F 0000 7FDF"
		$"0000 81FF 0EDF 7F7F 0000 FFDF DF00 00FF"
		$"00FF 7F7F 80FF 0900 FFFF 0000 FF00 00FF"
		$"FF84 0082 FF01 0000 85FF 0600 FFFF 00FF"
		$"FF00 86FF 8300 80FF 8AFF 0000 8CFF 0100"
		$"008A FF80 008A FF02 0047 0085 FF83 0005"
		$"AF00 FFFF 0000 80FF 0000 82FF 0600 0047"
		$"0000 8F8F 8000 83FF 06E7 E7AF 0000 8F00"
		$"80FF 0100 0082 FF0B E700 00FF 0087 FFFF"
		$"8F8F AF00 81FF 0BE7 D700 0087 5757 FF00"
		$"47AF 0081 FF13 E787 0000 FFFF 87FF 8700"
		$"00FF 8787 0000 87D7 0000 81FF 0EE7 8787"
		$"0000 F7E7 D700 00FF 00FF 8787 80FF 0900"
		$"F7F7 0000 DF00 00FF FF84 0006 DFDF EFE7"
		$"EF00 0085 FF06 00DF DF00 DFDF 0086 FF83"
		$"0080 FF8A FF00 008C FF01 0000 8AFF 0200"
		$"DF00 8AFF 0200 FF00 85FF 8300 05FF 00FF"
		$"FF00 0080 FF00 0082 FF06 0000 FF00 00FF"
		$"FF80 0083 FF06 DFDF FF00 00FF 0080 FF01"
		$"0000 82FF 05DF 0000 FF00 7F81 FF01 DF00"
		$"81FF 0BDF DF00 007F 4F4F FFDF FFFF 0081"
		$"FF13 DF7F 0000 FFFF 7FFF 7F00 00FF 7F7F"
		$"0000 7FDF 0000 81FF 0EDF 7F7F 0000 EFDF"
		$"DF00 00FF 00FF 7F7F 80FF 0900 EFEF 0000"
		$"5F00 00FF FF84 0006 5F5F 3FBF 3F00 0085"
		$"FF06 005F 5F00 6F5F 0086 FF83 0080 FF",
		/* [4] */
		'ICN#',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0010 0000 0038 0000 001C 0000 001C"
		$"0000 001C 0000 003C 0000 0078 0000 0078"
		$"0000 0078 0000 007C 0001 FF3C 0E0F FFDE"
		$"1F3F FFFF 3FFF FFFF 3FFF FFFF 3FFF FFFF"
		$"1FFF FFFE 1FFF FFFE 3FFF FFFE 7FFF FFFE"
		$"7FFF FFFE FFFF FFFE FFFF FFFC FFFF FFF8"
		$"FFFF FFF8 7FFF FFFC 3FFF FFFC 0FFF FFFC"
		$"0003 FFFC 0001 FFF8 0001 FFF0 0001 FFC0",
		/* [5] */
		'icl8',
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 FF06 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 06FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 06FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 00FF 06FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 FF43 18FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0618 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0618 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 4343 FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0000 0000 0000 0000 00FF 0606 18FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 00FF"
		$"FFFF FFFF FFFF FFFF 0000 FF06 18FF 0000"
		$"0000 0000 FFFF FF00 0000 0000 FFFF FF00"
		$"0000 0000 0000 0000 FFFF 00FF 4318 FF00"
		$"0000 00FF 0C0C 0CFF 0000 FFFF 0000 0000"
		$"0000 0000 0000 0000 F5F6 FFFF 0606 18FF"
		$"0000 FF0C 0C0C 0CFF FFFF 0000 0000 0000"
		$"0000 0000 0000 0000 00F5 F6F5 FF06 18FF"
		$"0000 FF0C 0C0C FFFF 0000 0000 0000 0000"
		$"0000 0000 0000 0000 0000 F6F6 F6FF 06FF"
		$"0000 FF0C 0CFF 0000 0000 0000 FFFF FFFF"
		$"0000 0000 0000 0000 0000 F5F6 F5FF 18FF"
		$"0000 00FF FF00 0000 0000 00FF 0606 0606"
		$"FF00 0000 0000 0000 0000 00F6 F6F6 FF00"
		$"0000 00FF F9FA F900 0000 FF0C 0C0C 0606"
		$"06FF 0000 0000 0000 0000 00F6 F5F6 FF00"
		$"0000 FF00 FA00 FBFA F9FA FF18 180C 0C06"
		$"06FF 0000 0000 0000 0000 F6F5 F6F6 FF00"
		$"00FF 00F9 00FB FBFB 0000 F943 4318 0C06"
		$"06FF 0000 0000 0000 0000 F5F6 F6F9 FF00"
		$"00FF FA00 FBFB 0000 FAF9 00FA 4318 0C06"
		$"FF00 0000 0000 FAF9 FAF5 F6F5 FAF6 FF00"
		$"FFF9 0000 0000 FAF9 0000 00F9 06FF FFFF"
		$"0000 00F9 FAF9 FFFF FFFF FAFA F6F6 FF00"
		$"FFFA 0000 00F9 0000 0000 00F6 F900 0000"
		$"FAF9 FA00 FFFF 0000 00F6 FFF6 F6FF 0000"
		$"FFFA F900 FA00 0000 0000 F6F5 FAF9 FAF9"
		$"0000 FFFF 0000 00F6 F6F6 F6FF FF00 0000"
		$"FF00 00FA F900 F5F6 F5FA F9FA 0000 0000"
		$"00FF 0000 F500 F6F6 FFFF FF00 FF00 0000"
		$"00FF 0000 00F9 FAFA FA00 0000 0000 0000"
		$"FF00 0000 FFFF FFFF 0303 03FF 00FF 0000"
		$"0000 FFFF 0000 0000 0000 0000 0000 00FF"
		$"00FF FFFF 0303 0303 03FF 03FF 00FF 0000"
		$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FF03 0303 0404 0101 0904 04FF 00FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 FF03"
		$"0303 FF03 0104 0409 0904 03FF 00FF 0000"
		$"0000 0000 0000 0000 0000 0000 0000 00FF"
		$"0303 0303 03FF 0409 0903 03FF FF00 0000"
		$"0000 0000 0000 0000 0000 0000 0000 00FF"
		$"0303 0303 0303 0303 0303 FFFF 0000 0000"
		$"0000 0000 0000 0000 0000 0000 0000 00FF"
		$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000",
		/* [6] */
		'il32',
		$"98FF 0000 9BFF 0200 FF00 9BFF 0200 FF00"
		$"9AFF 0200 FF00 9AFF 0200 FF00 99FF 0300"
		$"DCFF 0098 FF03 00FF FF00 99FF 0300 FFFF"
		$"0099 FF03 00DC DC00 99FF 0000 80FF 0000"
		$"8EFF 8600 05FF FF00 FFFF 0083 FF80 0082"
		$"FF80 0083 FF09 FBF2 F200 00FF 00DC FF00"
		$"81FF 0000 80FF 0400 FFFF 0000 87FF 05FB"
		$"F2E6 E600 0080 FF03 00FF FF00 81FF 8000"
		$"8AFF 01FB F280 E606 00FF FF00 FFFF 0080"
		$"FF01 0000 87FF 81FB 0FFF FBFB F2E6 E6DA"
		$"00FF 00FF FF00 FFFF 0083 FF81 0006 FBFF"
		$"FBFB FFFB FF80 FB80 E602 00FF 0080 FF01"
		$"0000 83FF 0000 81FF 0000 80FF 84FB 03E6"
		$"E6DA 0081 FF00 0080 8680 FF00 0083 FF00"
		$"0083 FB06 FFFB F2E6 E6DA 0080 FF08 00FF"
		$"86FF 5680 8686 0083 FF00 0082 FF02 FBFB"
		$"F280 E607 DA00 FFFF 00FF 86FF 8056 04FF"
		$"FF86 DCDC 81FF 0400 FFFF FBFB 81F2 12E6"
		$"E6DA 8600 FFFF 0086 FF56 56FF FF86 86FF"
		$"86DC 80FF 0100 F280 FB00 F280 8680 E605"
		$"86DA 00FF 0086 81FF 0186 8680 FF01 86FF"
		$"8000 80F2 8086 8100 0786 86DA DA00 FF00"
		$"8680 FF00 8682 FF01 E686 80F2 8086 02FF"
		$"0000 80FF 0BE6 00DA DA00 FFFF 0086 86FF"
		$"8682 FF01 E6E6 8186 03F2 F200 0080 FF05"
		$"E6E6 DADA 0000 80FF 0500 F2FF 8686 FF80"
		$"E680 8680 FF02 F2F2 0081 FF01 E6DA 8000"
		$"01FF 0081 FF03 00F2 FFFF 8186 82FF 02F2"
		$"F200 80FF 8100 80FF 0200 FF00 81FF 0100"
		$"0088 F201 00FF 8000 82FF 0400 FF00 FF00"
		$"83FF 8A00 82FF 01F8 F880 FF02 00FF 008D"
		$"FF00 0080 FF02 00FF F883 FF02 00FF 008E"
		$"FF00 0082 FF00 0082 FF01 0000 8FFF 0000"
		$"87FF 0100 0090 FF88 0083 FF98 FF00 009B"
		$"FF02 00B1 009B FF02 00B1 009A FF02 00B1"
		$"009A FF02 00B1 0099 FF03 0000 4800 98FF"
		$"0300 B148 0099 FF03 00B1 4800 99FF 8100"
		$"99FF 0400 B1B1 4800 8EFF 8600 05FF FF00"
		$"B148 0083 FF80 0082 FF80 0083 FF09 FBF2"
		$"F200 00FF 0000 4800 81FF 0000 808E 0400"
		$"FFFF 0000 87FF 0CFB F2E6 E600 00B1 B148"
		$"00FF FF00 818E 8000 8AFF 01FB F280 E606"
		$"00B1 4800 FFFF 0080 8E01 0000 87FF 81FB"
		$"0FFF FBFB F2E6 E6DA 00B1 00FF FF00 8E8E"
		$"0083 FF81 0006 FBFF FBFB FFFB FF80 FB80"
		$"E602 0048 0080 FF01 0000 83FF 0000 81B1"
		$"0000 80FF 84FB 03E6 E6DA 0081 FF00 0080"
		$"8680 FF00 0080 8E80 B100 0083 FB06 FFFB"
		$"F2E6 E6DA 0080 FF0F 00FF 86FF 5680 8686"
		$"0048 488E 8EB1 B100 82FF 02FB FBF2 80E6"
		$"07DA 00FF FF00 FF86 FF80 560D FFFF 8600"
		$"0048 8EB1 B100 FFFF FBFB 81F2 17E6 E6DA"
		$"8600 FFFF 0086 FF56 56FF FF86 86FF 8600"
		$"488E B100 F280 FB00 F280 8680 E605 86DA"
		$"00FF 0086 81FF 0186 8680 FF01 86B1 8000"
		$"80F2 8086 8100 0786 86DA DA00 FF00 8680"
		$"FF00 8682 FF01 E686 80F2 8086 02FF 0000"
		$"80FB 0BE6 00DA DA00 FFFF 0086 86FF 8682"
		$"FF01 E6E6 8186 03F2 F200 0080 FB05 E6E6"
		$"DADA 0000 80FF 0500 F2FF 8686 FF80 E680"
		$"8680 FF02 F2F2 0081 FB01 E6DA 8000 01FF"
		$"0081 FF03 00F2 FFFF 8186 82FF 02F2 F200"
		$"80FB 8100 80E3 0200 FF00 81FF 0100 0088"
		$"F201 00FB 8000 82E3 0400 E300 FF00 83FF"
		$"8A00 80E3 09EE EEEA EADF EEEE 00FF 008D"
		$"FF00 0080 E30B 00E3 EAEE EEDF DFEE D400"
		$"FF00 8EFF 0000 82E3 0200 EEDF 80D4 0100"
		$"008F FF00 0084 E380 D401 0000 90FF 8800"
		$"83FF 98FF 0000 9BFF 0200 FF00 9BFF 0200"
		$"FF00 9AFF 0200 FF00 9AFF 0200 FF00 99FF"
		$"0300 DCFF 0098 FF03 00FF FF00 99FF 0300"
		$"FFFF 0099 FF03 00DC DC00 99FF 0000 80FF"
		$"0000 8EFF 8600 05FF FF00 FFFF 0083 FF80"
		$"0082 FF80 0083 FF09 FBF2 F200 00FF 00DC"
		$"FF00 81FF 0000 80FF 0400 FFFF 0000 87FF"
		$"05FB F2E6 E600 0080 FF03 00FF FF00 81FF"
		$"8000 8AFF 01FB F280 E606 00FF FF00 FFFF"
		$"0080 FF01 0000 87FF 81FB 0FFF FBFB F2E6"
		$"E6DA 00FF 00FF FF00 FFFF 0083 FF81 0006"
		$"FBFF FBFB FFFB FF80 FB80 E602 00FF 0080"
		$"FF01 0000 83FF 0000 81E2 0000 80FF 84FB"
		$"03E6 E6DA 0081 FF00 0080 8680 FF00 0080"
		$"FF03 E2E2 FF00 83FB 06FF FBF2 E6E6 DA00"
		$"80FF 0800 FF86 FF56 8086 8600 83FF 0000"
		$"82FF 02FB FBF2 80E6 07DA 00FF FF00 FF86"
		$"FF80 5604 FFFF 86DC DC81 FF04 00FF FFFB"
		$"FB81 F212 E6E6 DA86 00FF FF00 86FF 5656"
		$"FFFF 8686 FF86 DC80 FF01 00F2 80FB 00F2"
		$"8086 80E6 0586 DA00 FF00 8681 FF01 8686"
		$"80FF 0186 FF80 0080 F280 8681 0007 8686"
		$"DADA 00FF 0086 80FF 0086 82FF 01E6 8680"
		$"F280 8602 FF00 0080 F00B E600 DADA 00FF"
		$"FF00 8686 FF86 82FF 01E6 E681 8603 F2F2"
		$"0000 80F0 05E6 E6DA DA00 0080 FF05 00F2"
		$"FF86 86FF 80E6 8086 80FF 02F2 F200 81F0"
		$"01E6 DA80 0001 FF00 81FF 0300 F2FF FF81"
		$"8682 FF02 F2F2 0080 F081 0080 5E02 00FF"
		$"0081 FF01 0000 88F2 0100 F080 0082 5E04"
		$"005E 00FF 0083 FF8A 0080 5E09 3B3B B9B9"
		$"6A3B 3B00 FF00 8DFF 0000 805E 0B00 5EB9"
		$"3B3B 6A6A 3B8E 00FF 008E FF00 0082 5E02"
		$"003B 6A80 8E01 0000 8FFF 0000 845E 808E"
		$"0100 0090 FF88 0083 FF"
	}
};

resource 'ics#' (1001) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0000 07F0 3FFF 7FFF 7FFF 7FFF 7FFF 7FFF"
		$"3FFF 7FFF FFFF FFFE FFFC 7FF0"
	}
};

resource 'ics#' (1002) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"03C0 0FE0 3FFC 7FFE FFFE FFFF BFFA 3FF8"
		$"3FF8 7FFC 7FFC 7FFC 7FFC 7FFC 3FF8 1FF0"
	}
};

resource 'ics#' (1003) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"3FE0 7FFE 7FFE FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF 7FFE FFFE FFFF FFFF"
	}
};

resource 'ics#' (1004) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0004 0006 000E 000E 01FE 67FF FFFF FFFF"
		$"7FFF FFFF FFFF FFFE FFFC 7FF0"
	}
};

resource 'ics#' (1005) {
	{	/* array: 2 elements */
		/* [1] */
		$"",
		/* [2] */
		$"0004 0006 000E 000E 01FE 63FF FFFF FFFF"
		$"7FFF FFFF FFFF FFFE FFFE 7FFE 01FC 01F8"
	}
};

resource 'ics8' (1000) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"00FF 2BF5 F601 F5F6 01F5 F601 F5FF FF00"
	$"FF2B 01F6 FFFF FFFF FFFF FFF6 01F6 F5FF"
	$"FF2B F6FF 4E4E 4E4E 4E4E 72FF FFF6 01FF"
	$"FFF5 01FF 2A4E 7272 72C1 4E72 72FF F6FF"
	$"FF01 FF4E C1FF FFFF FFFF FFFF 72FF F5FF"
	$"FFF6 FF4E 4E01 F6FF 0000 FF00 72FF 01FF"
	$"FFF5 FF4E 4E4E F72B 01F5 00F5 72FF F6FF"
	$"FF01 FF4E 4E4E 7272 7272 7272 72FF F5FF"
	$"FFF6 FF4E FFFF FFFF 7272 7272 72FF 01FF"
	$"FFF5 FF72 C0C0 C0C0 FFFF FF72 72FF F6FF"
	$"FFF6 F5FF FFFF 7272 72C0 9696 96FF F5FF"
	$"00FF 01F6 F501 FFFF FFFF FFFF FFF5 FF00"
	$"FFFF FFF8 07F6 F601 F5F6 01F5 F601 FF00"
	$"F5F5 F5FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFF5 FFF5 F601 F5F5 F5F5 F5F5 F5F5 F5FF"
};

resource 'ics8' (1001) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFFF 0000 0000"
	$"0000 FFFF FF00 0000 0000 0000 FFFF FFFF"
	$"00FF F6FF 0000 FF00 0000 FF00 00FF F7FF"
	$"00FF F6FF 0000 0000 0000 0000 00FF F8FF"
	$"00FF F7F6 FF00 0000 0000 0000 FFF7 56FF"
	$"00FF F8F7 F6FF FFFF FFFF FFFF F756 FFFF"
	$"00FF 0000 0000 0000 0000 0000 FFFF FFFF"
	$"0000 FFFF FFFF FFFF FFFF FFFF 2300 00FF"
	$"00FF FF0A 0909 00FF 0A0A 0A35 FF00 56FF"
	$"FFFF 23F5 F501 090A 0A0A 0AFF 00F7 81FF"
	$"FFF6 FFFF FFFF FFFF FFFF FF00 F781 FF00"
	$"FFF6 F6F6 56F6 F6F6 F6F6 F6F9 FFFF 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (1002) {
	$"0000 0000 0000 F5F8 F7FF 0000 0000 0000"
	$"0000 0000 FFFF FFFF FFFF FF00 0000 0000"
	$"0000 FFFF F6F6 F6F6 F6F6 F6FF FFFF 0000"
	$"00FF F6F7 F8F5 F8F5 F8F8 F856 F8F6 FF00"
	$"FFFF F756 F8FF FFFF FFFF FFF8 5656 FF00"
	$"F7FF FFFF FFFF FFF7 FFFF F7FF FFFF F7FF"
	$"FF00 FFF7 FF00 00FF 0000 FFF7 FF00 FF00"
	$"0000 FFF8 FF00 FFFF FF00 FFF8 FF00 0000"
	$"0000 FFF7 FF00 00FF 0000 FFF7 FF00 0000"
	$"00FF F5FF F7FF FFF7 FFFF F7FF F7FF 0000"
	$"00FF F8F6 FFF7 F8F8 F7F8 FFF7 F8FF 0000"
	$"00FF F7F7 F6FF FFFF FFFF F6F8 F7FF 0000"
	$"00FF F8F8 F8F8 F5F6 F6F7 56F8 F8FF 0000"
	$"00FF F7F7 56F8 5656 5656 F8F8 F7FF 0000"
	$"0000 FFF8 F756 2B2B 2B2B 56F7 FF00 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (1003) {
	$"0000 FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"00FF F701 F5F6 01F5 F601 F5FF FFFF FF00"
	$"00FF F5F6 FFFF FF01 F6F6 01F6 F501 FF00"
	$"FF2B 01FF 4E4E 4EFF FFFF FFFF FFF6 F5FF"
	$"FFF5 F6FF 2A4E 0000 0000 0072 72FF 01FF"
	$"FFF6 01FF 7201 00FF 0000 FF00 72FF F6FF"
	$"FF01 2BFF 4EF6 0000 0000 0000 72FF F5FF"
	$"FFF6 F5FF 4E4E 0000 0000 0072 72FF 01FF"
	$"FF01 F6FF 4E4E 7272 7272 7272 72FF F6FF"
	$"FFF6 FF4E 7272 7272 7272 7272 72FF F5FF"
	$"FFF5 FF72 C0C0 FFFF FFFF FF72 72FF 01FF"
	$"FFFF F5FF 7272 7272 72C0 9696 96FF F6FF"
	$"00FF 01F6 FFFF FFFF FFFF FFFF FFF5 FF00"
	$"FFFF FFFF 01F5 F601 F5F6 01F5 F601 FF00"
	$"F5F5 F5F5 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFF5 FF01 F601 F5F5 F5F5 F5F5 F5F5 F5F5"
};

resource 'ics8' (1004) {
	$"0000 0000 0000 0000 0000 0000 00FF 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FF00"
	$"0000 0000 0000 0000 0000 0000 FF43 FF00"
	$"0000 0000 0000 0000 0000 0000 FF18 FF00"
	$"0000 0000 0000 00FF FFFF FFFF FF0C FF00"
	$"00FF FF00 00FF FF00 0000 0000 FFFF 18FF"
	$"FF0C 0CFF FF00 0000 0000 0000 F5FF 0CFF"
	$"FF0C FF00 0000 FFFF 0000 0000 00F5 FFFF"
	$"00FF FA00 000C 0C0D FF00 0000 0001 2BFF"
	$"FFFA FBFC 0043 180C FF00 0000 00F6 F9FF"
	$"FF00 00F9 00FA FFFF 00FA F900 FAFA F6FF"
	$"FF00 0000 00F5 FAF9 0000 F601 F6F5 FF00"
	$"FF00 FAF9 0000 0000 F501 F62B FFFF 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF"
};

resource 'ics8' (1005) {
	$"0000 0000 0000 0000 0000 0000 00FF 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FF00"
	$"0000 0000 0000 0000 0000 0000 FF43 FF00"
	$"0000 0000 0000 0000 0000 0000 FF18 FF00"
	$"0000 0000 0000 00FF FFFF FFFF FF0C FF00"
	$"00FF FF00 0000 FF00 0000 0000 FFFF 18FF"
	$"FF0C 0CFF FFFF 0000 0000 0000 F501 0CFF"
	$"FF0C FF00 0000 FFFF 0000 0000 00F6 FFFF"
	$"00FF FA00 000C 0C0D FF00 0000 0001 2BFF"
	$"FFFA FBFC 0043 180C FF00 0000 00F6 F9FF"
	$"FF00 00F9 00FA FFFF 00FA F9FF FFFA F6FF"
	$"FF00 0000 00F5 FAF9 FFFF 00F5 F6FF FF00"
	$"FF00 FAF9 0000 00FF 0000 FFFF 09FF FF00"
	$"00FF FFFF FFFF FFFF 0909 0401 04FF FF00"
	$"0000 0000 0000 00FF 0909 FF09 09FF 0000"
	$"0000 0000 0000 00FF FFFF FFFF FF"
};
